<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Languages;
use App\Models\Core\Categories;
use App\Models\Core\Booking;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;

class BookingController extends Controller
{
  public function __construct(Booking $categories, Setting $setting)
  {
      $this->Booking = $categories;
      $this->varseting = new SiteSettingController($setting);
      $this->Setting = $setting;
  }

  public function display(){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Booking->paginator();
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.booking.index",$title)->with('categories', $categories)->with('result', $result);
  }


  public function filter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Booking->filter($request);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.booking.index", $title)->with('result', $result)->with(['categories'=> $categories, 'name'=> $request->FilterBy, 'param'=> $request->parameter]);
  }

  public function add(Request $request){
    $title = array('pageTitle' => Lang::get("labels.AddSubCategories"));

    $result = array();
    $result['message'] = array();
    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $categories = $this->Booking->recursivecategories();

    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.booking.add",$title)->with('result', $result);
  }



  public function insert(Request $request){
//print_r($request->all());die;

        $date_added	= date('y-m-d h:i:s');
        $result = array();

        //get function from other controller
        $languages = $this->varseting->getLanguages();

        $name = $request->name;
        $mobile = $request->mobile;
        $email = $request->email;
        $address = $request->address;
        $appointment_date = $request->appointment_date;
        $appointment_time = $request->appointment_time;
        $aprx_cost = $request->aprx_cost;
        $booking_status  = $request->booking_status;

        $categories = $this->Booking->insert($name,$mobile,$email,$address,$appointment_date,$appointment_time,$aprx_cost,$date_added,$booking_status);
        
        $result['categories'] = $categories;
        $message = Lang::get("labels.AddBookingMessage");
        return redirect()->back()->withErrors([$message]);
  }

  public function edit(Request $request){
    $title = array('pageTitle' => Lang::get("labels.EditBookings"));
    $result = array();
    $result['message'] = array();

    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $editSubCategory = $this->Booking->editsubcategory($request);

    $result['editSubCategory'] = $editSubCategory;

    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.booking.edit",$title)->with('result', $result);
   }

   public function update(Request $request){

     $title = array('pageTitle' => Lang::get("labels.EditSubCategories"));
     $result = array();
     $result['message'] = Lang::get("labels.Category has been updated successfully");
     $last_modified 	=   date('y-m-d h:i:s');
     $booking_id = $request->id;
     $name = $request->name;
     $mobile = $request->mobile;
     $email = $request->email;
     $address = $request->address;
     $appointment_date = $request->appointment_date;
     $appointment_time = $request->appointment_time;
     $aprx_cost = $request->aprx_cost;
     $booking_status  = $request->booking_status;

     //get function from other controller
     $languages = $this->varseting->getLanguages();
 

     $updateCategory = $this->Booking->updaterecord($booking_id,$name,$mobile,$email,$address,$appointment_date,$appointment_time,$aprx_cost,$last_modified,$booking_status);


     $message = Lang::get("labels.BookingUpdateMessage");
     return redirect()->back()->withErrors([$message]);
    }

    public function delete(Request $request){
      $deletecategory = $this->Booking->deleterecord($request);
      $message = Lang::get("labels.BookingDeleteMessage");
      return redirect()->back()->withErrors([$message]);
    }
}
