<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Languages;
use App\Models\Core\Category;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;

class CategoryController extends Controller
{
  public function __construct(Category $category, Setting $setting)
  {
      $this->Category = $category;
      $this->varseting = new SiteSettingController($setting);
      $this->Setting = $setting;
  }

  public function display(){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $category = $this->Category->paginator();
   // print_r($category);die;
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.category.index",$title)->with('category', $category)->with('result', $result);
  }


  public function filter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $category = $this->Category->filter($request);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.category.index", $title)->with('result', $result)->with(['category'=> $category, 'name'=> $request->FilterBy, 'param'=> $request->parameter]);
  }

  public function add(Request $request){
    $title = array('pageTitle' => Lang::get("labels.AddSubCategories"));

    
    $result = array();
    $result['message'] = array();
    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $category = $this->Category->recursivecategories();

    
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.category.add",$title)->with('result', $result);
  }


  public function insert(Request $request){

        $date_added	= date('y-m-d h:i:s');
        $result = array();

        //get function from other controller
        $languages = $this->varseting->getLanguages();

        $category_name = $request->category_name;
        $categories_status  = $request->categories_status;

        $category = $this->Category->insert($category_name,$date_added,$categories_status);
       
        $result['category'] = $category;
        $message = Lang::get("labels.AddCategoryMessage");
        return redirect()->back()->withErrors([$message]);
  }

  public function edit(Request $request ,$id){
    $title = array('pageTitle' => Lang::get("labels.EditCategories"));
    $result = array();
    $result['message'] = array();
    $result['languages'] = $this->varseting->getLanguages();
    $editSubCategory = $this->Category->edit($request);
  
   
    $result['editSubCategory'] = $editSubCategory;
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.category.edit",$title)->with('result', $result);
   }

   public function update(Request $request){
     $title = array('pageTitle' => Lang::get("labels.EditSubCategories"));
     $result = array();
     $result['message'] = Lang::get("labels.Category has been updated successfully");
     $last_modified 	=   date('y-m-d h:i:s');
     $category_id = $request->id;
     $category_name =$request->category_name;
     $categories_status  = $request->categories_status;

     $updateCategory = $this->Category->updaterecord($category_id,$category_name,$last_modified,$categories_status);
  
     $message = Lang::get("labels.CategorieUpdateMessage");
     return redirect()->back()->withErrors([$message]);
    }

    public function delete(Request $request){
      $deletecategory = $this->Category->deleterecord($request);
      $message = Lang::get("labels.CategoriesDeleteMessage");
      return redirect()->back()->withErrors([$message]);
    }
}
