<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Languages;
use App\Models\Core\Category;
use App\Models\Core\Service;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;
use App\Models\Core\Hsn;


class HsnController extends Controller
{
  public function __construct(Hsn $categories, Setting $setting)
  {
      $this->Hsn = $categories;
      $this->varseting = new SiteSettingController($setting);
      $this->Setting = $setting;
  }

  public function display(){
    
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Hsn->paginator();
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.hsn.index",$title)->with('categories', $categories)->with('result', $result);
  }

  public function filter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Hsn->filter($request);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.hsn.index", $title)->with('result', $result)->with(['categories'=> $categories, 'name'=> $request->FilterBy, 'param'=> $request->parameter]);
  }

  public function add(Request $request){
    $title = array('pageTitle' => Lang::get("labels.AddSubCategories"));

    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();
    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $categories = $this->Hsn->recursivecategories();
    /*$result['newsCategories'] = $this->Custom->getter();*/
/*
    $parent_id = 0;
    $option = '<option value="0">'. Lang::get("labels.Leave As Parent").'</option>';

      foreach($categories as $parents){
        $option .= '<option value="'.$parents->categories_id.'">'.$parents->categories_name.'</option>';

          if(isset($parents->childs)){
            $i = 1;
            $option .= $this->childcat($parents->childs, $i, $parent_id);
          }

      }
*/
   // $result['categories'] = $option;
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.hsn.add",$title)->with('result', $result)->with('allimage', $allimage);
  }


 public function insert(Request $request){
    //print_r($request->all());die;

        $date_added	= date('y-m-d h:i:s');
        $result = array();

        //get function from other controller
        $languages = $this->varseting->getLanguages();
        $hsn_code  = $request->hsn_code;
      
        $this->Hsn->insert($date_added,$hsn_code);
       
        $message = Lang::get("labels.AddHsnMessage");
        return redirect()->back()->withErrors([$message]);
  }


  public function edit(Request $request){
    $title = array('pageTitle' => Lang::get("labels.EditCategories"));
    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();

    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $editSubCategory = $this->Hsn->editsubcategory($request);

    $result['editSubCategory'] = $editSubCategory;
    //$listcategory = $this->Colour->listcategory($request);
    //$result['listcategory'] = $listcategory;

    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.hsn.edit",$title)->with('result', $result)->with('allimage', $allimage);
   }

   public function update(Request $request){
      // print_r($request->all());die;

     $title = array('pageTitle' => Lang::get("labels.EditSubCategories"));
     $result = array();
     $result['message'] = Lang::get("labels.Category has been updated successfully");
     $last_modified 	=   date('y-m-d h:i:s');
     $hsn_id = $request->id;
     $hsn_code = $request->hsn_code;
   
     //get function from other controller
     $languages = $this->varseting->getLanguages();
     $extensions = $this->varseting->imageType();
     $updateCategory = $this->Hsn->updaterecord($hsn_id,$last_modified,$hsn_code);

     $message = Lang::get("labels.HsnUpdateMessage");
     return redirect()->back()->withErrors([$message]);
    }

    public function delete(Request $request){
      $deletecategory = $this->Hsn->deleterecord($request);
      $message = Lang::get("labels.HsnDeleteMessage");
      return redirect()->back()->withErrors([$message]);
    }
    
 

}
