<?php

namespace App\Http\Controllers\AdminControllers;

use App;
use App\Http\Controllers\Controller;
use App\Models\Core\Menus;
use Illuminate\Http\Request;
use App\Models\Core\Setting;
use App\Models\Core\Categories;
use App\Models\Core\Products;
use Lang;

class MenusController extends Controller
{
	public function __construct(Setting $setting, Categories $categories, Products $products)
    {
        $this->Setting = $setting;
        $this->Categories = $categories;
        $this->Products = $products;
    }

    public function menus(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.menus"));
        $result['menus'] = Menus::menus();  
        $result['commonContent'] = $this->Setting->commonContent();
        return view("admin.menus.index", $title)->with('result', $result);
    }
  /*  public function footer(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.menus"));
        $result['categories'] = Menus::footer();  
        $result['commonContent'] = $this->Setting->commonContent();
        return view("admin.footer.index", $title)->with('result', $result);
    }
*/
    public function footer(){
    
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = Menus::footer();  
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.footer.index",$title)->with('categories', $categories)->with('result', $result);
  }
    public function addmenus(Request $request)
    {
        $language_id =  1;
        $title = array('pageTitle' => Lang::get("labels.addmenus"));
        $result = Menus::addmenus();          
        $result['categories'] = $this->Categories->getter($language_id);
        $result['products'] = $this->Products->getter($language_id);
        $result['commonContent'] = $this->Setting->commonContent();
        return view("admin.menus.add", $title)->with('result', $result);
    }
    
      public function addfooter(Request $request)
    {
        $language_id =  1;
        $title = array('pageTitle' => Lang::get("labels.addmenus"));
        $result = Menus::addmenus();          
        $result['categories'] = $this->Categories->getter($language_id);
        $result['products'] = $this->Products->getter($language_id);
        $result['commonContent'] = $this->Setting->commonContent();
        return view("admin.footer.add", $title)->with('result', $result);
    }


    //addNewPage
    public function addnewmenu(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.AddMenu"));
        Menus::addnewfooter($request);  
        $result['commonContent'] = $this->Setting->commonContent();
        $message = Lang::get("labels.MenuAddedMessage");
        return redirect()->back()->withErrors([$message]);
    }
    
     public function addnewfooter(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.AddMenu"));
        Menus::addnewfooter($request);  
        $result['commonContent'] = $this->Setting->commonContent();
        $message = Lang::get("Footer Added Successfully");
        return redirect()->back()->withErrors([$message]);
    }
    

    public function editfooter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.EditCategories"));
   
    $result = array();
    $result['message'] = array();

    $editSubCategory = Menus::editfooter($request);

    $result['editSubCategory'] = $editSubCategory;
   
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.footer.edit",$title)->with('result', $result);
   }

    //updatePage
    public function updatefooter(Request $request)
    {
        Menus::updatefooter($request);
        $message = Lang::get("Footer Updated Successfully");
        return redirect()->back()->withErrors([$message]);

    }

    public function deletefooter(Request $request)
    {
        Menus::deletefooter($request->id);
        $message = Lang::get("Footer Deleted Successfully");
        return redirect()->back()->withErrors([$message]);
    }

    //editnew
    public function editmenu(Request $request, $id)
    {
        $language_id =  1;
        $title = array('pageTitle' => Lang::get("labels.EditPage"));
        $result = Menus::editmenu($id);  
        $result['categories'] = $this->Categories->getter($language_id);
        $result['products'] = $this->Products->getter($language_id);
        $result['commonContent'] = $this->Setting->commonContent();
        return view("admin.menus.edit", $title)->with('result', $result);
    }

    //updatePage
    public function updatemenu(Request $request)
    {
        Menus::updatemenu($request);
        $message = Lang::get("labels.MenuUpdateMessage");
        return redirect()->back()->withErrors([$message]);

    }

    public function deletemenu(Request $request)
    {
        Menus::deletemenu($request->id);
        $message = Lang::get("labels.MenuDeleteMessage");
        return redirect()->back()->withErrors([$message]);
    }
    
    public function menuposition(Request $request)
    {
        Menus::savePosition($request);
    }

    public function catalogmenu()
    {
        Menus::catalogmenu();
        $message = Lang::get("labels.Catalogcreatedsuccessfully");
        return redirect()->back()->withErrors([$message]);
    }    
    

}
