<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Languages;
use App\Models\Core\Category;
use App\Models\Core\Service;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;
use App\Models\Core\Occasion;


class OccasionController extends Controller
{
  public function __construct(Occasion $categories, Setting $setting)
  {
      $this->Occasion = $categories;
      $this->varseting = new SiteSettingController($setting);
      $this->Setting = $setting;
  }

  public function display(){
    
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Occasion->paginator();
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.occasion.index",$title)->with('categories', $categories)->with('result', $result);
  }

  public function filter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Occasion->filter($request);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.occasion.index", $title)->with('result', $result)->with(['categories'=> $categories, 'name'=> $request->FilterBy, 'param'=> $request->parameter]);
  }

  public function add(Request $request){
    $title = array('pageTitle' => Lang::get("labels.AddSubCategories"));

    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();
    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $categories = $this->Occasion->recursivecategories();
    /*$result['newsCategories'] = $this->Custom->getter();*/

   
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.occasion.add",$title)->with('result', $result)->with('allimage', $allimage);
  }


 public function insert(Request $request){
    //print_r($request->all());die;

        $date_added	= date('y-m-d h:i:s');
        $result = array();

        //get function from other controller
        $languages = $this->varseting->getLanguages();
        $occasion_name  = $request->occasion_name;
      
        $this->Occasion->insert($date_added,$occasion_name);
       
        $message = Lang::get("labels.AddOccasionMessage");
        return redirect()->back()->withErrors([$message]);
  }


  public function edit(Request $request){
    $title = array('pageTitle' => Lang::get("labels.EditCategories"));
    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();

    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $editSubCategory = $this->Occasion->editsubcategory($request);

    $result['editSubCategory'] = $editSubCategory;
    //$listcategory = $this->Colour->listcategory($request);
    //$result['listcategory'] = $listcategory;

    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.occasion.edit",$title)->with('result', $result)->with('allimage', $allimage);
   }

   public function update(Request $request){
      // print_r($request->all());die;

     $title = array('pageTitle' => Lang::get("labels.EditSubCategories"));
     $result = array();
     $result['message'] = Lang::get("labels.Category has been updated successfully");
     $last_modified 	=   date('y-m-d h:i:s');
     $occasion_id = $request->id;
     $occasion_name = $request->occasion_name;
   
     //get function from other controller
     $languages = $this->varseting->getLanguages();
     $extensions = $this->varseting->imageType();
     $updateCategory = $this->Occasion->updaterecord($occasion_id,$last_modified,$occasion_name);

     $message = Lang::get("labels.OccasionUpdateMessage");
     return redirect()->back()->withErrors([$message]);
    }

    public function delete(Request $request){
      $deletecategory = $this->Occasion->deleterecord($request);
      $message = Lang::get("labels.OccasionDeleteMessage");
      return redirect()->back()->withErrors([$message]);
    }
    
 

}
