<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Customers;
use App\Http\Controllers\AdminControllers\SiteSettingController;
use App\Http\Controllers\Controller;
use App\Models\Core\Setting;
use App\Models\Core\User;
use App\Models\Core\Order;
use App\Models\Core\Products;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;

class OrdersController extends Controller
{
    //
    public function __construct(Customers $customers, Setting $setting)
    {
        $this->myVarsetting = new SiteSettingController($setting);
        $this->Setting = $setting;
        $this->Customers = $customers;
        $this->token = "511f7c98c1f79ace07d6e2ab3c48e80d91c558e5";
    }

    //add listingOrders
    public function display()
    {

        $title = array('pageTitle' => Lang::get("labels.ListingOrders"));
        $language_id = '1';

        $message = array();
        $errorMessage = array();

        $orders = DB::table('orders')->orderBy('orders.orders_id', 'DESC')
            ->where('customers_id', '!=', '')->whereNotNull('order_status') ->paginate(40);

        $index = 0;
        $total_price = array();

        /*
        foreach ($orders as $orders_data) {
            $orders_products = DB::table('orders_products')->sum('final_price');
            $orders[$index]->total_price = $orders_products;
            $orders_status_history = DB::table('orders_status_history')
            ->LeftJoin('orders_status', 'orders_status.orders_status_id', '=', 'orders_status_history.orders_status_id')
            ->LeftJoin('orders_status_description', 'orders_status_description.orders_status_id', '=', 'orders_status.orders_status_id')
            ->select('orders_status_description.orders_status_name', 'orders_status_description.orders_status_id')
            ->where('orders_status_description.language_id', '=', $language_id)
            ->where('orders_id', '=', $orders_data->orders_id)
            ->where('role_id', '<=', 2)
            ->orderby('orders_status_history.date_added', 'DESC')->limit(1)->get();
            $orders[$index]->orders_status_id = $orders_status_history[0]->orders_status_id;
            $orders[$index]->orders_status = $orders_status_history[0]->orders_status_name;
             $index++;
        }
        */

        $ordersData['message'] = $message;
        $ordersData['errorMessage'] = $errorMessage;
        $ordersData['orders'] = $orders;
        $ordersData['status'] = ['1'=>'Pending','2'=>'Ready To Ship','3'=>'Ready For Pickup','4'=>'In Transit','5'=>'Delivered','6'=>'Cancelled'];
        $ordersData['currency'] = $this->myVarsetting->getSetting(); 
        $result['commonContent'] = $this->Setting->commonContent();
       
        return view("admin.Orders.index", $title)->with('listingOrders', $ordersData)->with('result', $result);
    }
    
    
    
    public function excelUpload(Request $request){
        try{
            if ($request->isMethod('post')){
                $validatedData = $request->validate([
                    'excel' => 'required|file|mimes:csv,txt|max:2048' // Validate file type and size
                ]);
              
                $file = $request->file('excel');
                $csvData = array_map('str_getcsv', file($file->getRealPath()));
             
                // Check if the file has content
                if (empty($csvData)) {
                    return redirect()->back()->withErrors(['excel' => 'The CSV file is empty.']);
                }

                
                $file = $request->file('excel');
                $fileContents = file($file->getPathname());
               
                $errorMsg = "";
                $orders = [];
                $postData = [
                    "pickup_location" => [
                        "add" => "Hno. 8 Shiva Colony opp. Hotel City Heart Circular Road Nabha",
                        "pin_code" =>"147201",
                        "phone" =>"9216656801",
                        "name" => "Rajpal Makhni",
                        "city" => "Nabha",
                        "country" => "India",
                    ],
                ];
                // dd($fileContents);
                // die;
                foreach ($fileContents as $key=>$line) {
                    $data = str_getcsv($line);
                    if($key > 0 && $data[1]!=""){
                        
                      if(empty($data[0]) || empty($data[1]) || !is_numeric($data[2]) || empty($data[3]) ||  
                         empty($data[4]) || !is_numeric($data[5]) || empty($data[6]) || !is_numeric($data[7]) ||
                         empty($data[8]) || !is_numeric($data[9]) || empty($data[10]) || !is_numeric($data[11]) ||
                         !is_numeric($data[12]) || empty($data[13]) || empty($data[14])
                      ){
                        $errorMsg .= "Row " . $key . " Field is required! <br>"; 
                      }
                    
                      // $existPhone = $this->Customers->phone($data[3]);
                      $existPhone =  DB::table('users')->where('phone', '=', $data[3])->whereNotNull('phone')->first();
                      if(empty($errorMsg)){
                        $pincode = $data[2];
                        $res = $this->pincode($pincode);
                        
                        if(count($res['delivery_codes'])==0){
                            $errorMsg .= "Row " . $key . "  pincode ".$data[2]." not valid! <br>"; 
                        }
                      }
                     
                     

                      if(empty($existPhone) && !empty($data[0]) && !empty($data[5])){
                          $usr = new User();
                          $usr->first_name = $data[0];
                          $usr->phone = $data[5];
                          $usr->role_id = 2;
                          $usr->save();
                      }
                      
                      
                      if(empty($errorMsg)) {
                          $orders[$key]['customers_id'] = (empty($existPhone)) ? $usr->id : $existPhone->id;
                          $orders[$key]['customers_name'] = $data[0];
                          $orders[$key]['customers_street_address'] =  $data[1];
                          $orders[$key]['customers_telephone'] =  $data[5];
                          $orders[$key]['ordered_source'] = 1;
                          $orders[$key]['total_price'] = $data[9];
                          $orders[$key]['order_status'] = 'Manifested';
                         
                          $postData['shipments'][] = [
                                "country" => "",
                                "seller_add" => "",
                                "name" => $data[0],
                                "return_phone" => "",
                                "seller_inv_date" => "",
                                "seller_name" => "",
                                "add" => $data[1],
                                "pin" => $data[2],
                                "city" => $data[3],
                                "state" => $data[4],
                                "phone" => $data[5],
                                "seller_inv" => "",
                                "return_name" => "",
                                // "products_desc" => $data[6],
                                "quantity" =>  $data[7],
                                "payment_mode" => $data[8],
                                "cod_amount" => "", 
                                "return_add" => "",
                                "seller_cst" => "",
                                "seller_tin" => "",
                                "total_amount" => $data[9],
                                "return_country" => "",
                                "return_city" => "",
                                "return_state" => "",
                                "return_pin" => "",
                                "order_date"=> $data[10],
                                "shipment_width"=> $data[11],
                                "shipment_height"=> $data[12],
                                "shipping_mode"=> $data[13],
                                "order" => date('M')." ".rand(999,111),
                                "hsn_code" => $data[14],
                                "qc"=>[
                                    "item" =>[
                                        [
                                          "color" => "Red",
                                          "descr" => "Smartphone",
                                          "brand" => "OPPO",
                                          "pcat" => "Electronics",
                                          "item_quantity" => 1,
                                          "price" => 1
                                        ],
                                        [
                                          "color" => "Blue",
                                          "descr" => "Tshirt",
                                          "brand" => "ApparelCo",
                                          "pcat" => "Clothing",
                                          "item_quantity" => 2,
                                           "price" => 1
                                        ]
                                    ]
                                ]
                          ];
                          
                      }else{
                          // $errorMsg .= "Row " . $key . "  phone ".$data[3]."  not exist! <br>";
                      }
                      
                    }
       
                }
                // dd($postData);
                // die;
                if(!empty($errorMsg)){
                     return redirect()->back()->withErrors(['error'=> $errorMsg]);
                }else{
                 
 
                  if(count($orders) > 0){
                    // DB::table('orders')->insert($orders);
                    // $lastInsertedId = DB::getPdo()->lastInsertId();
                    // $insertedIds = range($lastInsertedId - count($orders) + 1, $lastInsertedId);
                    $res = $this->shippingcreate($postData);
;
                    if($res['success']){
                        $packages = $res['packages'];
                        $idx = 1;
                        foreach($packages as $k=>$v){
                          if($v['status']=="Success"){
                            $orders[$idx]['order_waybill'] = $v['waybill'];
                          }
                          $idx++;
                        }
                        DB::table('orders')->insert($orders);
                        return redirect()->to('/admin/orders/display')->with('orders', 'Orders are Ready to Ship');
                    }else{
                      $errors = $res['packages'];
                      foreach($errors as $k=>$v){
                          if($v['status']=="Fail"){
                             $errorMsg .= implode(" ", $v['remarks'])." <br>";  
                          }
                      }
                      if(!empty($errorMsg)){
                          return redirect()->back()->withErrors(['error'=> $errorMsg]);   
                      }
                          return redirect()->back()->withErrors(['error'=> $res['rmk']]);  
                    }

                  }
  
                }
                
                
            }
            $title = array('pageTitle' => Lang::get("labels.ListingOrders"));
            $result['commonContent'] = $this->Setting->commonContent();
            return view("admin.Orders.excelUpload", $title)->with('result', $result);;
        } catch (\Exception $e) {
           return redirect()->back()->withErrors(['error'=> $e->getMessage()]);   
        }
    }
    
    public function status(Request $request){
        try{
            if($request->ajax()){
                $query = '';
                if($request->has('waybill')) {
                   $query .='&waybill='.$request->get('waybill');
                }
                if($request->has('ref_ids')) {
                   $query .='&ref_ids='.$request->get('ref_ids');
                }

                $curl = curl_init();
                curl_setopt_array($curl, [
                    CURLOPT_URL => "https://track.delhivery.com/api/v1/packages/json/?token=$this->token".$query,
                    CURLOPT_RETURNTRANSFER => true, 
                    CURLOPT_TIMEOUT => 30, 
                    CURLOPT_HTTPHEADER => [
                        'Accept: application/json',
                    ],
                ]);
               
                $response = curl_exec($curl);
                if (curl_errno($curl)) {
                    $errorMessage = curl_error($curl);
                    curl_close($curl);
                    return response()->json([
                        'status' => 'error',
                        'message' => $errorMessage,
                    ], 500);
                }
    
                curl_close($curl);
                $decodedResponse = json_decode($response, true);
                $status = $decodedResponse['ShipmentData'][0]['Shipment']['Status']['Status'];
                DB::table('orders')
                ->where('order_waybill', '=',$request->get('waybill'))
                ->update(['order_status' => $status]);
                return response()->json($decodedResponse);
    
            }

        } catch (Throwable $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
    }

	private function pincode($pincode){
  
        try {

            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/c/api/pin-codes/json/?token=$this->token&filter_codes=$pincode",
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                ],
            ]);
       
            $response = curl_exec($curl);
            if (curl_errno($curl)) {
                $errorMessage = curl_error($curl);
                curl_close($curl);
                return $errorMessage;
            }
            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return $decodedResponse;
            
        } catch (Throwable $e) {
        
           return false;
        }
	}
	
	private function shippingcreate($postData){
      
        try {
    
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/api/cmu/create.json",
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => "format=json&data=".json_encode($postData),
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                    'Authorization: Token '.$this->token
                ],
            ]);

            $response = curl_exec($curl);
            
            if (curl_errno($curl)) {
                $errorMessage = curl_error($curl);
                 curl_close($curl);
                return $errorMessage;
 
            }
            $decodedResponse = json_decode($response, true);
            return $decodedResponse;
            
        } catch (Throwable $e) {
        
            return false;
        }
	}
	
    
    public function excelUpload1(Request $request){
        try{
            if ($request->isMethod('post')){
                $validatedData = $request->validate([
                    'excel' => 'required|file|mimes:csv,txt|max:2048' // Validate file type and size
                ]);
                
                // if ($validatedData->fails()) {
                //     return back()->withErrors($validatedData)->withInput();
                // }
                
                $file = $request->file('excel');
                $csvData = array_map('str_getcsv', file($file->getRealPath()));
               
                // Check if the file has content
                if (empty($csvData)) {
                    return redirect()->back()->withErrors(['excel' => 'The CSV file is empty.']);
                }

                
                $file = $request->file('excel');
                $fileContents = file($file->getPathname());
               
                $errorMsg = "";
                $customer = [];
                $order = [];
                $order = [];
                $ord_his = [];
                foreach ($fileContents as $key=>$line) {
                    $data = str_getcsv($line);
                    // dump($data);
                    if($key > 0 && $data[1]!=""){
                      $existPhone = $this->Customers->phone($data[2]);
                      
                      if (!empty($existPhone) > 0 ) {
                            $errorMsg .= "Row " . $key . "  phone ".$data[2]." already exist! <br>";
                            
                            if(is_numeric($data[8]) || is_numeric($data[10]) || is_numeric($data[12]) || is_numeric($data[14]) || is_numeric($data[16])){
                                $ord = new Order();
                                $ord->customers_id = $existPhone->id;
                                $ord->customers_name = $data[1];
                                $ord->customers_street_address = $data[3];
                                $ord->customers_city = $data[5];
                                $ord->customers_postcode = $data[4];
                                $ord->customers_state = $data[6];
                                $ord->customers_telephone = $data[2];
                                $ord->ordered_source = 1;
                                $ord->save();
                                
                                $ord_his[$key]['orders_id'] = $ord->id;
                                $ord_his[$key]['orders_status_id'] = 1;
                                
                            }
                            
                            
                            
                           
                            $product = 0;
                            if(is_numeric($data[8])){
                                $order[$key]['orders_id'] = $ord->id;
                                $order[$key]['unit'] = $data[7];
                                $order[$key]['products_id'] = 7;
                                $order[$key]['products_name'] = 'GI Props';
                                $order[$key]['products_quantity'] = $data[8];
                                $order[$key]['products_price'] = $data[17];
                                $order[$key]['final_price'] = $data[20];
                                $product+=1;
                            }
                            
                            if(is_numeric($data[10])){
                               
                                $order[$key]['orders_id'] = $ord->id;
                                $order[$key]['unit'] = $data[9];
                                $order[$key]['products_id'] = 7;
                                $order[$key]['products_name'] = 'GI Props';
                                $order[$key]['products_quantity'] = $data[10];
                                $order[$key]['products_price'] = $data[17];
                                $order[$key]['final_price'] = $data[20];
                                $product+=1;
                            }
                            if(is_numeric($data[12])){
                                
                                $order[$key]['orders_id'] = $ord->id;
                                $order[$key]['unit'] = $data[11];
                                $order[$key]['products_id'] = 7;
                                $order[$key]['products_name'] = 'GI Props';
                                $order[$key]['products_quantity'] = $data[12];
                                $order[$key]['products_price'] = $data[17];
                                $order[$key]['final_price'] = $data[20];
                                $product+=1;
                            }
                            
                            if(is_numeric($data[14])){
                                
                                $order[$key]['orders_id'] = $ord->id;
                                $order[$key]['unit'] = $data[13];
                                $order[$key]['products_id'] = 7;
                                $order[$key]['products_name'] = 'GI Props';
                                $order[$key]['products_quantity'] = $data[14];
                                $order[$key]['products_price'] = $data[17];
                                $order[$key]['final_price'] = $data[20];
                                $product+=1;
                            }
                            if(is_numeric($data[16])){
                                
                                $order[$key]['orders_id'] = $ord->id;
                                $order[$key]['unit'] = $data[15];
                                $order[$key]['products_id'] = 7;
                                $order[$key]['products_name'] = 'GI Props';
                                $order[$key]['products_quantity'] = $data[16];
                                $order[$key]['products_price'] = $data[17];
                                $order[$key]['final_price'] = $data[20];
                            }
                      }else{
                          
                            $customer[$key]['first_name'] = $data[1];
                            $customer[$key]['phone'] = $data[2];
                            $customer[$key]['role_id'] = 2;
                      

                      
                        
                      }
 
                    }
                   
                     
                }
               
                
                if(count($ord_his) > 0){
                    DB::table('orders_status_history')->insert($ord_his);
                }
                
                if(count($customer) > 0){
                    DB::table('users')->insert($customer);
                }
                if(count($order) > 0){
                    DB::table('orders_products')->insert($order);
                }
                
                // foreach($order as $product){
                //     DB::table('orders_products')->insert($product);
                // }
                
                
                
            }
            $title = array('pageTitle' => Lang::get("labels.ListingOrders"));
            $result['commonContent'] = $this->Setting->commonContent();
            return view("admin.Orders.excelUpload", $title)->with('result', $result);;
        } catch (Throwable $e) {
            
        }
    }
    

    public function addOrders(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.AddLanguage"));
        
        if ($request->isMethod('post')) 
        {
            $validatedData = $request->validate([
                'products' => 'required|array',
                'products.*.products_id' => 'required|integer',
                'products.*.products_quantity' => 'required|integer',
                'products.*.products_price' => 'required|numeric',
                'products.*.current_stock' => 'required|string',
                'products.*.gst_percente' => 'required|numeric',
                'products.*.gst_amount' => 'required|numeric',
                'products.*.discount' => 'required|numeric',
                'products.*.final_price' => 'required|numeric',
            ]);
            
            foreach ($validatedData['products'] as $productData) {
                DB::table('orders_products')->insert($productData);
            }
    
            return redirect()->back()->with('success', 'Orders added successfully!');
        }
    
        $result['commonContent'] = $this->Setting->commonContent();
        $result['customers'] = User::get();
        $result['products'] = Products::select('products.*', 'product_detail.id', 'product_detail.products_id as product_products_id', 'product_detail.products_name as product_products_name')
            ->leftJoin('products_description as product_detail', 'product_detail.products_id', '=', 'products.products_id')
            ->whereNotIn('product_detail.language_id', [5])
            ->get();
    
        return view("admin.Orders.addOrders")->with('result', $result)->with('title', $title);
    }


    //view order detail
    public function vieworder(Request $request)
    {

        $title = array('pageTitle' => Lang::get("labels.ViewOrder"));
        $language_id = '1';
        $orders_id = $request->id;

        $message = array();
        $errorMessage = array();

       DB::table('orders')->where('orders_id', '=', $orders_id)
                 ->where('customers_id', '!=', '')->update(['is_seen' => 1]);
                 
                 
       $order =  DB::table('orders')->where('orders_id', '=', $orders_id)
                 ->where('customers_id', '!=', '')->first();

       /*
        $order = DB::table('orders')
            ->LeftJoin('orders_status_history', 'orders_status_history.orders_id', '=', 'orders.orders_id')
            ->LeftJoin('orders_status', 'orders_status.orders_status_id', '=', 'orders_status_history.orders_status_id')
            ->LeftJoin('orders_status_description', 'orders_status_description.orders_status_id', '=', 'orders_status.orders_status_id')
            ->where('orders_status_description.language_id', '=', $language_id)
            ->where('role_id', '<=', 2)
            ->where('orders.orders_id', '=', $orders_id)->orderby('orders_status_history.date_added', 'ASC')->get();
        foreach ($order as $data) {
            $orders_id = $data->orders_id;

            $orders_products = DB::table('orders_products')
                ->join('products', 'products.products_id', '=', 'orders_products.products_id')
                ->LeftJoin('image_categories', function ($join) {
                    $join->on('image_categories.image_id', '=', 'products.products_image')
                        ->where(function ($query) {
                            $query->where('image_categories.image_type', '=', 'THUMBNAIL')
                                ->where('image_categories.image_type', '!=', 'THUMBNAIL')
                                ->orWhere('image_categories.image_type', '=', 'ACTUAL');
                        });
                })
                ->select('orders_products.*', 'image_categories.path as image')
                ->where('orders_products.orders_id', '=', $orders_id)->get();
            $i = 0;
            $total_price = 0;
            $total_tax = 0;
            $product = array();
            $subtotal = 0;
            foreach ($orders_products as $orders_products_data) {
                $product_attribute = DB::table('orders_products_attributes')
                    ->where([
                        ['orders_products_id', '=', $orders_products_data->orders_products_id],
                        ['orders_id', '=', $orders_products_data->orders_id],
                    ])
                    ->get();

                $orders_products_data->attribute = $product_attribute;
                $product[$i] = $orders_products_data;
                $total_price = $total_price + $orders_products[$i]->final_price;

                $subtotal += $orders_products[$i]->final_price;

                $i++;
            }
            $data->data = $product;
            $orders_data[] = $data;
        }

        $orders_status_history = DB::table('orders_status_history')
            ->LeftJoin('orders_status', 'orders_status.orders_status_id', '=', 'orders_status_history.orders_status_id')
            ->LeftJoin('orders_status_description', 'orders_status_description.orders_status_id', '=', 'orders_status.orders_status_id')
            ->where('orders_status_description.language_id', '=', $language_id)
            ->where('role_id', '<=', 2)
            ->orderBy('orders_status_history.date_added', 'desc')
            ->where('orders_id', '=', $orders_id)->get();

        $orders_status = DB::table('orders_status')
            ->LeftJoin('orders_status_description', 'orders_status_description.orders_status_id', '=', 'orders_status.orders_status_id')
            ->where('orders_status_description.language_id', '=', $language_id)->where('role_id', '<=', 2)->get();

        */
        
        $ordersData['message'] = $message;
        $ordersData['errorMessage'] = $errorMessage;
        $ordersData['orders_data'] = $order;
        // $ordersData['orders_data'] = $orders_data;
        // $ordersData['total_price'] = $total_price;
        // $ordersData['orders_status'] = $orders_status;
        // $ordersData['orders_status_history'] = $orders_status_history;
        // $ordersData['subtotal'] = $subtotal;

        //get function from other controller
        $ordersData['currency'] = $this->myVarsetting->getSetting();
        $result['commonContent'] = $this->Setting->commonContent();

        return view("admin.Orders.vieworder", $title)->with('data', $ordersData)->with('result', $result);
    }

    //update order
    public function updateOrder(Request $request)
    {

        $orders_status = $request->orders_status;
        $comments = $request->comments;
        $orders_id = $request->orders_id;
        $old_orders_status = $request->old_orders_status;
        $date_added = date('Y-m-d h:i:s');

        //get function from other controller

        $setting = $this->myVarsetting->getSetting();

        $status = DB::table('orders_status')->LeftJoin('orders_status_description', 'orders_status_description.orders_status_id', '=', 'orders_status.orders_status_id')
            ->where('orders_status_description.language_id', '=', 1)->where('role_id', '<=', 2)->where('orders_status_description.orders_status_id', '=', $orders_status)->get();

        if ($old_orders_status == $orders_status) {
            return redirect()->back()->with('error', Lang::get("labels.StatusChangeError"));
        } else {

            //orders status history
            $orders_history_id = DB::table('orders_status_history')->insertGetId(
                ['orders_id' => $orders_id,
                    'orders_status_id' => $orders_status,
                    'date_added' => $date_added,
                    'customer_notified' => '1',
                    'comments' => $comments,
                ]);

            if ($orders_status == '2') {

                $orders_products = DB::table('orders_products')->where('orders_id', '=', $orders_id)->get();

                foreach ($orders_products as $products_data) {
                    DB::table('products')->where('products_id', $products_data->products_id)->update([
                        'products_quantity' => DB::raw('products_quantity - "' . $products_data->products_quantity . '"'),
                        'products_ordered' => DB::raw('products_ordered + 1'),
                    ]);
                }
            }

            if ($orders_status == '3') {

                $orders_products = DB::table('orders_products')->where('orders_id', '=', $orders_id)->get();

                foreach ($orders_products as $products_data) {

                    $product_detail = DB::table('products')->where('products_id', $products_data->products_id)->first();
                    //dd($product_detail);
                    $date_added = date('Y-m-d h:i:s');
                    $inventory_ref_id = DB::table('inventory')->insertGetId([
                        'products_id' => $products_data->products_id,
                        'stock' => $products_data->products_quantity,
                        'admin_id' => auth()->user()->id,
                        'created_at' => $date_added,
                        'stock_type' => 'in',

                    ]);
                    //dd($product_detail);
                    if ($product_detail->products_type == 1) {
                        $product_attribute = DB::table('orders_products_attributes')
                            ->where([
                                ['orders_products_id', '=', $products_data->orders_products_id],
                                ['orders_id', '=', $products_data->orders_id],
                            ])
                            ->get();

                        foreach ($product_attribute as $attribute) {
                            //dd($attribute->products_options,$attribute->products_options_values);
                            $prodocuts_attributes = DB::table('products_attributes')
                                ->join('products_options_descriptions', 'products_options_descriptions.products_options_id', '=', 'products_attributes.options_id')
                                ->join('products_options_values_descriptions', 'products_options_values_descriptions.products_options_values_id', '=', 'options_values_id')
                                ->where('products_options_values_descriptions.options_values_name', $attribute->products_options_values)
                                ->where('products_options_descriptions.options_name', $attribute->products_options)
                                ->select('products_attributes.products_attributes_id')
                                ->first();
                            //dd($prodocuts_attributes);

                            DB::table('inventory_detail')->insert([
                                'inventory_ref_id' => $inventory_ref_id,
                                'products_id' => $products_data->products_id,
                                'attribute_id' => $prodocuts_attributes->products_attributes_id,
                            ]);

                        }

                    }
                }
            }

            $orders = DB::table('orders')->where('orders_id', '=', $orders_id)
                ->where('customers_id', '!=', '')->get();

            $data = array();
            $data['customers_id'] = $orders[0]->customers_id;
            $data['orders_id'] = $orders_id;
            $data['status'] = $status[0]->orders_status_name;

            return redirect()->back()->with('message', Lang::get("labels.OrderStatusChangedMessage"));
        }

    }

    //deleteorders
    public function deleteOrder(Request $request)
    {
        DB::table('orders')->where('orders_id', $request->orders_id)->delete();
        DB::table('orders_products')->where('orders_id', $request->orders_id)->delete();
        return redirect()->back()->withErrors([Lang::get("labels.OrderDeletedMessage")]);
    }

    //view order detail
    public function invoiceprint(Request $request)
    {

        $title = array('pageTitle' => Lang::get("labels.ViewOrder"));
        $language_id = '1';
        $orders_id = $request->id;

        $message = array();
        $errorMessage = array();

        DB::table('orders')->where('orders_id', '=', $orders_id)
            ->where('customers_id', '!=', '')->update(['is_seen' => 1]);

        $order = DB::table('orders')
            ->LeftJoin('orders_status_history', 'orders_status_history.orders_id', '=', 'orders.orders_id')
            ->LeftJoin('orders_status', 'orders_status.orders_status_id', '=', 'orders_status_history.orders_status_id')
            ->LeftJoin('orders_status_description', 'orders_status_description.orders_status_id', '=', 'orders_status.orders_status_id')
            ->where('orders_status_description.language_id', '=', $language_id)->where('role_id', '<=', 2)
            ->where('orders.orders_id', '=', $orders_id)->orderby('orders_status_history.date_added', 'DESC')->get();

        foreach ($order as $data) {
            $orders_id = $data->orders_id;

            $orders_products = DB::table('orders_products')
                ->join('products', 'products.products_id', '=', 'orders_products.products_id')
                ->select('orders_products.*', 'products.products_image as image')
                ->where('orders_products.orders_id', '=', $orders_id)->get();
            $i = 0;
            $total_price = 0;
            $total_tax = 0;
            $product = array();
            $subtotal = 0;
            foreach ($orders_products as $orders_products_data) {

                //categories
                $categories = DB::table('products_to_categories')
                    ->leftjoin('categories', 'categories.categories_id', 'products_to_categories.categories_id')
                    ->leftjoin('categories_description', 'categories_description.categories_id', 'products_to_categories.categories_id')
                    ->select('categories.categories_id', 'categories_description.categories_name', 'categories.categories_image', 'categories.categories_icon', 'categories.parent_id')
                    ->where('products_id', '=', $orders_products_data->orders_products_id)
                    ->where('categories_description.language_id', '=', $language_id)->get();

                $orders_products_data->categories = $categories;

                $product_attribute = DB::table('orders_products_attributes')
                    ->where([
                        ['orders_products_id', '=', $orders_products_data->orders_products_id],
                        ['orders_id', '=', $orders_products_data->orders_id],
                    ])
                    ->get();

                $orders_products_data->attribute = $product_attribute;
                $product[$i] = $orders_products_data;
                $total_price = $total_price + $orders_products[$i]->final_price;

                $subtotal += $orders_products[$i]->final_price;

                $i++;
            }
            $data->data = $product;
            $orders_data[] = $data;
        }

        $orders_status_history = DB::table('orders_status_history')
            ->LeftJoin('orders_status', 'orders_status.orders_status_id', '=', 'orders_status_history.orders_status_id')
            ->LeftJoin('orders_status_description', 'orders_status_description.orders_status_id', '=', 'orders_status.orders_status_id')
            ->where('orders_status_description.language_id', '=', $language_id)->where('role_id', '<=', 2)
            ->orderBy('orders_status_history.date_added', 'desc')
            ->where('orders_id', '=', $orders_id)->get();

        $orders_status = DB::table('orders_status')->LeftJoin('orders_status_description', 'orders_status_description.orders_status_id', '=', 'orders_status.orders_status_id')
            ->where('orders_status_description.language_id', '=', $language_id)->where('role_id', '<=', 2)->get();

        $ordersData['message'] = $message;
        $ordersData['errorMessage'] = $errorMessage;
        $ordersData['orders_data'] = $orders_data;
        $ordersData['total_price'] = $total_price;
        $ordersData['orders_status'] = $orders_status;
        $ordersData['orders_status_history'] = $orders_status_history;
        $ordersData['subtotal'] = $subtotal;

        //get function from other controller

        $ordersData['currency'] = $this->myVarsetting->getSetting();
        $result['commonContent'] = $this->Setting->commonContent();

        return view("admin.Orders.invoiceprint", $title)->with('data', $ordersData)->with('result', $result);

    }

}
