<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Languages;
use App\Models\Core\Category;
use App\Models\Core\Service;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;

class ServiceController extends Controller
{
  public function __construct(Service $categories, Setting $setting)
  {
      $this->Service = $categories;
      $this->varseting = new SiteSettingController($setting);
      $this->Setting = $setting;
  }

  public function display(){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Service->paginator();
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.service.index",$title)->with('categories', $categories)->with('result', $result);
  }

  public function filter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Categories->filter($request);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.categories.index", $title)->with('result', $result)->with(['categories'=> $categories, 'name'=> $request->FilterBy, 'param'=> $request->parameter]);
  }

  public function add(Request $request){
    $title = array('pageTitle' => Lang::get("labels.AddSubCategories"));

    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();
    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $categories = $this->Service->recursivecategories();
    $result['newsCategories'] = $this->Service->getter();

    
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.service.add",$title)->with('result', $result)->with('allimage', $allimage);
  }


 public function insert(Request $request){
    // print_r($request->all());die;

        $date_added	= date('y-m-d h:i:s');
        $result = array();

        //get function from other controller
        $languages = $this->varseting->getLanguages();
        $uploadImage = $request->image_id;
        $uploadIcon  = $request->image_icone;
        $service_status  = $request->service_status;
        $name  = $request->name;
        $email  = $request->email;
        $mobile  = $request->mobile;
        $password  = $request->password;
        $qualification  = $request->qualification;
        $experience  = $request->experience;
        $shift_start  = $request->shift_start;
        $shift_end	  = $request->shift_end;
        $category_id  = $request->category_id;
        $this->Service->insert($uploadImage,$date_added,$uploadIcon,$service_status,$name,$email,$mobile,$password,$qualification,$experience,$shift_start,$shift_end,$category_id);
        $slug_flag = false;

        $message = Lang::get("labels.AddServiceMessage");
        return redirect()->back()->withErrors([$message]);
  }


  public function edit(Request $request){
    $title = array('pageTitle' => Lang::get("labels.EditCategories"));
    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();

    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $editSubCategory = $this->Service->editsubcategory($request);

    $result['editSubCategory'] = $editSubCategory;
    $listcategory = $this->Service->listcategory($request);
    $result['listcategory'] = $listcategory;


    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.service.edit",$title)->with('result', $result)->with('allimage', $allimage);
   }

   public function update(Request $request){
      // print_r($request->all());die;

     $title = array('pageTitle' => Lang::get("labels.EditSubCategories"));
     $result = array();
     $result['message'] = Lang::get("labels.Category has been updated successfully");
     $last_modified 	=   date('y-m-d h:i:s');
     $service_id = $request->id;
     $name = $request->name;
    $uploadImage = $request->image_id;
    $uploadIcon  = $request->image_icone;
    $service_status  = $request->service_status;
    $email = $request->email;
     $mobile = $request->mobile;
    $password = $request->password;
    $shift_start = $request->shift_start;
    $shift_end= $request->shift_end;
    $qualification = $request->qualification;
    $experience = $request->experience;
    $category_id = $request->category_id;

     //get function from other controller
     $languages = $this->varseting->getLanguages();
     $extensions = $this->varseting->imageType();

     //check slug
     if($request->old_slug!=$request->slug){
         $slug = $request->slug;
         $slug_count = 0;
         do{
             if($slug_count==0){
                 $currentSlug = $this->varseting->slugify($request->slug);
             }else{
                 $currentSlug = $this->varseting->slugify($request->slug.'-'.$slug_count);
             }
             $slug = $currentSlug;
             $checkSlug = DB::table('categories')->where('categories_slug',$currentSlug)->where('categories_id','!=',$request->id)->get();
             $slug_count++;
         }
         while(count($checkSlug)>0);
     }else{
         $slug = $request->slug;
     }
     if($request->image_id!==null){
         $uploadImage = $request->image_id;
     }else{
         $uploadImage = $request->oldImage;
     }

     if($request->image_icone !==null){
         $uploadIcon = $request->image_icone;
     }	else{
         $uploadIcon = $request->oldIcon;
     }

     $updateCategory = $this->Service->updaterecord($service_id,$uploadImage,$last_modified,$uploadIcon,$service_status,$name,$email,$mobile,$password,$shift_start,
     $shift_end,$qualification,$experience,$category_id);


     $message = Lang::get("labels.ServiceUpdateMessage");
     return redirect()->back()->withErrors([$message]);
    }

    public function delete(Request $request){
      $deletecategory = $this->Service->deleterecord($request);
      $message = Lang::get("labels.ServiceDeleteMessage");
      return redirect()->back()->withErrors([$message]);
    }
    
    public function bookingList(){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Service->booking();
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.service.booking",$title)->with('categories', $categories)->with('result', $result);
  }

}
