<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Languages;
use App\Models\Core\Category;
use App\Models\Core\ServiceProduct;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;

class ServiceProductController extends Controller
{
  
  public function __construct(ServiceProduct $categories, Setting $setting)
  {
      $this->ServiceProduct = $categories;
      $this->varseting = new SiteSettingController($setting);
      $this->Setting = $setting;
  }

  public function display(){

    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->ServiceProduct->paginator();
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.serviceproduct.index",$title)->with('categories', $categories)->with('result', $result);
  }

  public function filter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->ServiceProduct->filter($request);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.serviceproduct.index", $title)->with('result', $result)->with(['categories'=> $categories, 'name'=> $request->FilterBy, 'param'=> $request->parameter]);
  }

  public function add(Request $request){
    $title = array('pageTitle' => Lang::get("labels.AddSubCategories"));

    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();
    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $categories = $this->ServiceProduct->recursivecategories();
    $result['newsCategories'] = $this->ServiceProduct->getter();

   /* $parent_id = 0;
    $option = '<option value="0">'. Lang::get("labels.Leave As Parent").'</option>';

      foreach($categories as $parents){
        $option .= '<option value="'.$parents->categories_id.'">'.$parents->categories_name.'</option>';

          if(isset($parents->childs)){
            $i = 1;
            $option .= $this->childcat($parents->childs, $i, $parent_id);
          }

      }
*/
    //$result['categories'] = $option;
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.serviceproduct.add",$title)->with('result', $result)->with('allimage', $allimage);
  }


 public function insert(Request $request){
    // print_r($request->all());die;

        $date_added	= date('y-m-d h:i:s');
        $result = array();

        //get function from other controller
        $languages = $this->varseting->getLanguages();
        $image = $request->image_id;
        $service_status  = $request->service_status;
        $title  = $request->title;
        $price  = $request->price;
        $discount  = $request->discount;
        $description  = $request->description;
        $time  = $request->time;
        $category_id  = $request->category_id;
        $this->ServiceProduct->insert($image,$date_added,$service_status,$title,$price,$discount,$description,$time,$category_id);
        $slug_flag = false;

        $message = Lang::get("labels.AddServiceMessage");
        return redirect()->back()->withErrors([$message]);
  }


  public function edit(Request $request){
    $title = array('pageTitle' => Lang::get("labels.EditCategories"));
    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();

    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $editSubCategory = $this->ServiceProduct->editsubcategory($request);

    $result['editSubCategory'] = $editSubCategory;
   // echo "<pre>";print_r($result['editSubCategory']);die;
    $listcategory = $this->ServiceProduct->listcategory($request);
    $result['listcategory'] = $listcategory;


    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.serviceproduct.edit",$title)->with('result', $result)->with('allimage', $allimage);
   }

   public function update(Request $request){
      // print_r($request->all());die;

     $title = array('pageTitle' => Lang::get("labels.EditSubCategories"));
     $result = array();
     $result['message'] = Lang::get("labels.Category has been updated successfully");
     $last_modified 	=   date('y-m-d h:i:s');
     $products_id = $request->id;
     $image = $request->image_id;
     $service_status  = $request->service_status;
     $title  = $request->title;
     $price  = $request->price;
     $discount  = $request->discount;
     $description  = $request->description;
     $time  = $request->time;
     $category_id  = $request->category_id;

     //get function from other controller
     $languages = $this->varseting->getLanguages();
     $extensions = $this->varseting->imageType();

     //check slug
     if($request->old_slug!=$request->slug){
         $slug = $request->slug;
         $slug_count = 0;
         do{
             if($slug_count==0){
                 $currentSlug = $this->varseting->slugify($request->slug);
             }else{
                 $currentSlug = $this->varseting->slugify($request->slug.'-'.$slug_count);
             }
             $slug = $currentSlug;
             $checkSlug = DB::table('categories')->where('categories_slug',$currentSlug)->where('categories_id','!=',$request->id)->get();
             $slug_count++;
         }
         while(count($checkSlug)>0);
     }else{
         $slug = $request->slug;
     }
     if($request->image_id!==null){
         $image = $request->image_id;
     }else{
         $image = $request->oldImage;
     }


     $updateCategory = $this->ServiceProduct->updaterecord($products_id,$image,$last_modified,$service_status,$title,$price,$discount,$description,$time,$category_id);


     $message = Lang::get("labels.ServiceUpdateMessage");
     return redirect()->back()->withErrors([$message]);
    }

    public function delete(Request $request){
      $deletecategory = $this->ServiceProduct->deleterecord($request);
      $message = Lang::get("labels.ServiceDeleteMessage");
      return redirect()->back()->withErrors([$message]);
    }

}
