<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Languages;
use App\Models\Core\Category;
use App\Models\Core\Service;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;
use App\Models\Core\Size;


class SizeController extends Controller
{
  public function __construct(Size $categories, Setting $setting)
  {
      $this->Size = $categories;
      $this->varseting = new SiteSettingController($setting);
      $this->Setting = $setting;
  }

  public function display(){
    
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Size->paginator();
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.size.index",$title)->with('categories', $categories)->with('result', $result);
  }

  public function filter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->Size->filter($request);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.size.index", $title)->with('result', $result)->with(['categories'=> $categories, 'name'=> $request->FilterBy, 'param'=> $request->parameter]);
  }

  public function add(Request $request){
    $title = array('pageTitle' => Lang::get("labels.AddSubCategories"));

    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();
    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $categories = $this->Size->recursivecategories();
    /*$result['newsCategories'] = $this->Custom->getter();*/

    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.size.add",$title)->with('result', $result)->with('allimage', $allimage);
  }


 public function insert(Request $request){
    //print_r($request->all());die;

        $date_added	= date('y-m-d h:i:s');
        $result = array();

        //get function from other controller
        $languages = $this->varseting->getLanguages();
        $size_name  = $request->size_name;
        $size_number  = $request->size_number;
        $status  = $request->status;
        $this->Size->insert($date_added,$size_name,$size_number,$status);
       
        $message = Lang::get("labels.AddSizeMessage");
        return redirect()->back()->withErrors([$message]);
  }


  public function edit(Request $request){
    $title = array('pageTitle' => Lang::get("labels.EditCategories"));
    $images = new Images;
    $allimage = $images->getimages();

    $result = array();
    $result['message'] = array();

    //get function from other controller
    $result['languages'] = $this->varseting->getLanguages();
    $editSubCategory = $this->Size->editsubcategory($request);

    $result['editSubCategory'] = $editSubCategory;
    $listcategory = $this->Size->listcategory($request);
    $result['listcategory'] = $listcategory;


    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.size.edit",$title)->with('result', $result)->with('allimage', $allimage);
   }

   public function update(Request $request){
      // print_r($request->all());die;

     $title = array('pageTitle' => Lang::get("labels.EditSubCategories"));
     $result = array();
     $result['message'] = Lang::get("labels.Category has been updated successfully");
     $last_modified 	=   date('y-m-d h:i:s');
     $size_id = $request->id;
     $size_name = $request->size_name;
     $size_number  = $request->size_number;
     $status  = $request->status;
   
     //get function from other controller
     $languages = $this->varseting->getLanguages();
     $extensions = $this->varseting->imageType();
     $updateCategory = $this->Size->updaterecord($size_id,$last_modified,$size_name,$size_number,$status);


     $message = Lang::get("labels.SizeUpdateMessage");
     return redirect()->back()->withErrors([$message]);
    }

    public function delete(Request $request){
      $deletecategory = $this->Size->deleterecord($request);
      $message = Lang::get("labels.SizeDeleteMessage");
      return redirect()->back()->withErrors([$message]);
    }
    
 

}
