<?php

namespace App\Http\Controllers\AdminControllers;

use App\Models\Core\Languages;
use App\Models\Core\Category;
use App\Models\Core\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;
use App\Models\Core\SizeMaster;


class SizeMasterController extends Controller
{
  public function __construct(SizeMaster $categories, Setting $setting)
  {
      $this->SizeMaster = $categories;
      $this->varseting = new SiteSettingController($setting);
      $this->Setting = $setting;
  }

  public function display(){
    
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $sizeMaster = $this->SizeMaster->select([
        'size_masters.*',
        'categories.categories_name as categories_name'
    ])
    ->leftJoin('categories_description as categories','categories.categories_id','=','size_masters.category_id')
    ->groupBy('size_masters.id')
    ->paginate(10);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.sizeMaster.index",$title)->with('result', $result)->with('sizeMaster', $sizeMaster);
  }

  public function filter(Request $request){
    $title = array('pageTitle' => Lang::get("labels.SubCategories"));
    $categories = $this->SizeMaster->filter($request);
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.sizeMaster.index", $title)->with('result', $result)->with(['categories'=> $categories, 'name'=> $request->FilterBy, 'param'=> $request->parameter]);
  }

  public function add(Request $request){
    $title = array('pageTitle' => Lang::get("labels.AddSubCategories"));
    $result = array();
    $result['message'] = array();
    $result['languages'] = $this->varseting->getLanguages();
    $categories = $this->SizeMaster->recursiveCategories();
    $parent_id = 0;
    $option = '<option value="0" disabled selected>'. Lang::get("labels.Categories").'</option>';

      foreach($categories as $parents){
        $option .= '<option value="'.$parents->categories_id.'">'.$parents->categories_name.'</option>';

          if(isset($parents->childs)){
            $i = 1;
            $option .= $this->childcat($parents->childs, $i, $parent_id);
          }

      }
      
    $optionVolumn = '<option value="0" disabled selected>Select Uom</option>';
    $volumnOptions = ["KG", "PCs", "Set"];
    
    foreach ($volumnOptions as $volumnOption) {
        $optionVolumn .= '<option value="' . strtolower($volumnOption) . '">' . $volumnOption . '</option>';
    }
    
    $result['volumn'] = $optionVolumn;
    $result['categories'] = $option;
    $result['commonContent'] = $this->Setting->commonContent();
    return view("admin.sizeMaster.add",$title)->with('result', $result);
  }


    public function insert(Request $request){
    //print_r($request->all());die;

        $date_added	= date('y-m-d h:i:s');
        $result = array();

        //get function from other controller
        $languages    = $this->varseting->getLanguages();
        $category_id  = $request->category_id;
        $units        = $request->units;
        $volumn       = $request->volumn;
      
        $this->SizeMaster->insert($date_added,$category_id,$units,$volumn);
       
        $message = Lang::get("labels.AddSizeMasterMessage");
        return redirect()->back()->withErrors([$message]);
  }


    public function edit(Request $request, $id){
        
        $title = array('pageTitle' => Lang::get("labels.EditCategories"));
    
        $result = array();
        $result['message'] = array();
        
        $categories = $this->SizeMaster->recursiveCategories();
        $editSizeMaster = $this->SizeMaster->editSizeMaster($request);
        $dataUpdate = SizeMaster::where('id',$id)->first();
        $result['dataUpdate'] = $dataUpdate;
        $parent_id = 0;
        $option = '<option value="0" disabled selected>'. Lang::get("labels.Categories").'</option>';
    
        foreach($categories as $parents){
            $selected = $parents->categories_id == $result['dataUpdate']->category_id ? 'selected' : '';
            $option .= '<option value="'.$parents->categories_id.'"'.$selected.'>'.$parents->categories_name.'</option>';
                
            if(isset($parents->childs)){
                $i = 1;
                $option .= $this->childcat($parents->childs, $i, $parent_id);
            }
        }
          
        $optionVolumn = '<option value="0" disabled selected>Select Uom</option>';
        $volumnOptions = ["KG", "PCs", "Set"];
        foreach ($volumnOptions as $volumnOption) {
            $selected = strtolower($volumnOption) == strtolower($result['dataUpdate']->volumn) ? 'selected' : '';
            $optionVolumn .= '<option value="' . strtolower($volumnOption) . '"'.$selected.'>' . $volumnOption . '</option>';
        }
        
        $result['volumn'] = $optionVolumn;
        $result['categories'] = $option;
        
        $result['languages'] = $this->varseting->getLanguages();
        $result['editSizeMaster'] = $editSizeMaster;
        
        $result['commonContent'] = $this->Setting->commonContent();
        return view("admin.sizeMaster.edit",$title)->with('result', $result);
   }

    public function update(Request $request)
    {
         $title = array('pageTitle' => Lang::get("labels.EditSubCategories"));
         $result = array();
         $result['message'] = Lang::get("labels.Size Master has been updated successfully");
         $last_modified 	=   date('y-m-d h:i:s');
         $size_master_id = $request->id;
         $category_id = $request->category_id;
         $units = $request->units;
         $volumn = $request->volumn;
       
         $languages = $this->varseting->getLanguages();
         $updateCategory = $this->SizeMaster->updateRecord($size_master_id,$last_modified,$category_id,$units,$volumn);
    
    
         $message = Lang::get("labels.SizeMasterUpdateMessage");
         return redirect()->back()->withErrors([$message]);
        }
    
        public function delete(Request $request){
          $deleteSizeMaster = $this->SizeMaster->deleteRecord($request);
          $message = Lang::get("labels.SizeMasterDeleteMessage");
          return redirect()->back()->withErrors([$message]);
    }
    
 

}
