<?php

namespace App\Http\Controllers\Web;
//use Mail;
//validator is builtin class in laravel
use Validator;

use DB;
//for password encryption or hash protected
use Hash;

//for authenitcate login data
use Auth;
use Illuminate\Foundation\Auth\ThrottlesLogins;

//for requesting a value
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Lang;
//for Carbon a value
use Carbon;
use App\Models\Web\Index;
use App\Models\Web\Languages;
use App\Models\Web\Products;
use App\Models\Web\Currency;
use App\Models\Web\Service;
use App\Models\Web\ServiceBooking;


//email
use Illuminate\Support\Facades\Mail;
use Session;



class ServiceController extends Controller
{

	public function __construct(
											Index $index,
											Service $news,
											ServiceBooking $servicebooking,
											Languages $languages,
											Products $products,
											Currency $currency
											)
	{
		$this->index = $index;
		$this->service = $news;
		$this->ServiceBooking = $servicebooking;
		$this->languages = $languages;
		$this->products = $products;
		$this->currencies = $currency;
		$this->theme = new ThemeController();
	}

	//getNewsCategories
	public function getNewsCategories(){
		$data =	$this->service->getNewsCategories();
	}

	//news
	public function service(Request $request){
	    
		$title = array('pageTitle' => Lang::get("website.Service"));
		$final_theme = $this->theme->theme();
		$result = array();
		$result['commonContent'] = $this->index->commonContent();

		if(!empty($request->limit)){
			$limit = $request->limit;
		}else{
			$limit = 16;
		}

		if(!empty($request->type)){
			$type = $request->type;
		}else{
			$type = '';
		}

		if(!empty($request->category) and $request->category!='all'){
			$category = $request->category;
			$categories = $this->service->getCategories($category);
			$categories_id = $categories[0]->category_id;
			$categories_name = $categories[0]->category_name;
		}else{
			$categories_id = '';
			$categories_name = '';
		}

		$data = array('page_number'=>0, 'type'=>$type, 'is_feature'=>'', 'limit'=>$limit, 'categories_id'=>$categories_id, 'load_news'=>0);
		$news =$this->service->getAllNews($data);
		$result['news'] = $news;
		
		if($limit > $result['news']['total_record']){
			$result['limit'] = $result['news']['total_record'];
		}else{
			$result['limit'] = $limit;
		}
        $result['categories_name'] = $categories_name;
		$result['news_categories'] = $this->service->getServiceCategories();
		return view("web.service", ['title' => $title,'final_theme' => $final_theme])->with('result', $result);

	}


	public function servicedetail(Request $request){
		$title = array('pageTitle' => Lang::get("website.News Detail"));
		$final_theme = $this->theme->theme();
		$result = array();
		$result['commonContent'] = $this->index->commonContent();
		$news = $this->service->servicedetail($request);
		$result['news'] = $news;
		$result['categories'] = $this->products->categories();
		$result['news_categories'] = $this->service->getNewsCategories();
		
		return view("web.service-detail", ['title' => $title,'final_theme' => $final_theme])->with('result', $result);
	}
	
	
	public function insert(Request $request){
		$title = array('pageTitle' => Lang::get("website.News Detail"));
		$final_theme = $this->theme->theme();
		$result = array();
		$result['commonContent'] = $this->index->commonContent();
		$news = $this->service->servicedetail($request);
		$result['news'] = $news;
		$result['categories'] = $this->products->categories();
		$result['news_categories'] = $this->service->getNewsCategories();
		
		return view("web.booking-form", ['title' => $title,'final_theme' => $final_theme])->with('result', $result);
	}
	
		public function saveForm(Request $request){
		    
	    $title = array('pageTitle' => Lang::get("website.News Detail"));
		$final_theme = $this->theme->theme();
		$result = array();
		$result['commonContent'] = $this->index->commonContent();
	    $news = $this->service->servicedetail($request);
		$result['news'] = $news;
        $request->validate
        ([
            'address' => 'required',
        ]);
		 
		$result['booking'] = new ServiceBooking;
        $result['booking']->products_id = $result['news'][0]->id;
		$result['booking']->category_name = $result['news'][0]->category_name;
		$result['booking']->imgpath = $result['news'][0]->imgpath;
		$result['booking']->title = $result['news'][0]->title;
		$result['booking']->price = $result['news'][0]->price;
		$result['booking']->description = $result['news'][0]->description;
		$result['booking']->discount = $result['news'][0]->discount;
		$result['booking']->time = $result['news'][0]->time;
		$result['booking']->full_name =  $request->full_name;
		$result['booking']->email =  $request->email;
		$result['booking']->address =  $request->address;
		$result['booking']->phone =  $request->phone;
		$result['booking']->save();
        

       $message = Lang::get("labels.ServiceBooking");
       return redirect()->back()->withErrors([$message]);
	}
	

	

	

}
