<?php
namespace App\Http\Controllers\Web;
use Auth;
use DB;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Lang;
use Session;
//email

class ShippingController extends Controller
{
   
   
    private $token;

    public function __construct()
    {
        $this->token = "511f7c98c1f79ace07d6e2ab3c48e80d91c558e5";
    } 

	public function pincode(Request $request){
  
        try {
            $query = '';
            if($request->has('filter_codes')) {
               $query .='&filter_codes='.$request->get('filter_codes');
            }
            
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/c/api/pin-codes/json/?token=$this->token".$query,
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                ],
            ]);
       
            $response = curl_exec($curl);
           
            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (Throwable $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	
	public function pickup(Request $request){
      
        $pickupRequestData = [
            "pickup_time" => $request->post('pickup_time'),        // Specify the time for the pickup (HH:MM:SS format)
            "pickup_date" => $request->post('pickup_date'),             // Date of the pickup (YYYY-MM-DD format)
            "pickup_location" => $request->post('pickup_location'),  // Name of the warehouse for the pickup
            "expected_package_count" =>  $request->post('expected_package_count')                // Number of shipments for this pickup request
        ];

        
        try {
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/fm/request/new/",
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => json_encode($pickupRequestData),
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                    'Content-Type: application/json',
                    'Authorization: Token '.$this->token,
                ],
            ]);

            $response = curl_exec($curl);
            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (Throwable $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	
	public function waybill(Request $request){
      
        try {
            $query = '';
            if($request->has('cl')) {
               $query .='&cl='.$request->get('cl');
            }
            if($request->has('count')) {
               $query .='&count='.$request->get('count');
            }
            
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/waybill/api/bulk/json/?token=$this->token".$query,
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                ],
            ]);

            $response = curl_exec($curl);

            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (Throwable $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	
	public function shippinglabel(Request $request){
      
        try {
            $query = '';
            if($request->has('wbns')) {
               $query .='?wbns='.$request->get('wbns');
            }
            if($request->has('pdf')) {
               $query .='&pdf='.$request->get('pdf');
            }
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/api/p/packing_slip".$query,
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                    'Authorization: Token '.$this->token
                ],
            ]);

            $response = curl_exec($curl);

            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (Throwable $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	
	public function shippingcreate(Request $request){
      
        try {
            $postData = [
                "pickup_location" => [
                    "add" => $request->post('pickup_add'),
                    "country" => $request->post('pickup_country'),
                    "pin" => $request->post('pickup_pin'),
                    "phone" => $request->post('pickup_phone'),
                    "city" => $request->post('pickup_city'),
                    "name" => $request->post('pickup_name'),
                    "state" => $request->post('pickup_state')
                ],
                "shipments" => [
                    [
                        "country" => $request->post('shipments_country'),
                        "city" => $request->post('shipments_city'),
                        "seller_add" => $request->post('shipments_seller_add'),
                        "cod_amount" => $request->post('shipments_cod_amount'),
                        "return_phone" => $request->post('shipments_return_phone'),
                        "seller_inv_date" => $request->post('shipments_seller_inv_date'),
                        "seller_name" =>$request->post('shipments_seller_name'),
                        "pin" => $request->post('shipments_pin'),
                        "seller_inv" => $request->post('shipments_seller_inv'),
                        "state" => $request->post('shipments_state'),
                        "return_name" => $request->post('shipments_return_name'),
                        "order" => $request->post('shipments_order'),
                        "add" => $request->post('shipments_add'),
                        "payment_mode" => $request->post('shipments_payment_mode'),
                        "quantity" => $request->post('shipments_quantity'),
                        "return_add" => $request->post('shipments_return_add'),
                        "seller_cst" => $request->post('shipments_seller_cst'),
                        "seller_tin" => $request->post('shipments_seller_tin'),
                        "phone" => $request->post('shipments_phone'),
                        "total_amount" => $request->post('shipments_total_amount'),
                        "name" => $request->post('shipments_name'),
                        "return_country" => $request->post('shipments_return_country'),
                        "return_city" => $request->post('shipments_return_city'),
                        "return_state" => $request->post('shipments_return_state'),
                        "return_pin" => $request->post('shipments_return_pin')
                    ]
                ]
            ];
            

               
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/api/cmu/create.json",
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => "format=json&data=".json_encode($postData),
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                    'Authorization: Token '.$this->token
                ],
            ]);

            $response = curl_exec($curl);

            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (Throwable $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	
	public function shippingupdate(Request $request){
      
        try {
            $postData = [
                "waybill"=>$request->post('waybill'),
                "name"=>$request->post('name'),
                "add"=>$request->post('add'),
                "phone"=>$request->post('phone'),
                "gm"=>$request->post('gm'),
                "shipment_length"=>$request->post('shipment_length'),
                "shipment_width"=>$request->post('shipment_width'),
                "shipment_height"=>$request->post('shipment_height'),
                "product_details"=>$request->post('product_details'),
                "pt"=>$request->post('pt'),
                "tax_value"=>$request->post('tax_value'),
                "cancellation" => $request->post('cancellation')
            ];
            
               
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/api/p/edit",
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS =>json_encode($postData),
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                    'Content-Type: application/json',
                    'Authorization: Token '.$this->token
                ],
            ]);

            $response = curl_exec($curl);
            if (curl_errno($curl)) {
                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (Throwable $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	
	/*
	public function cancelorder(Request $request){
      
        $postData = [
            'waybill'=>$request->post('waybill'),
            'name'=>$request->post('name'),
            'add'=>$request->post('add'),
            'phone'=>$request->post('phone'),
            'gm'=>$request->post('gm'),
            'shipment_length'=>$request->post('shipment_length'),
            'shipment_width'=>$request->post('shipment_width'),
            'shipment_height'=>$request->post('shipment_height'),
            'product_details'=>$request->post('product_details'),
            'pt'=>$request->post('pt'),
            'tax_value'=>$request->post('tax_value'),
            'cancellation' => $request->post('cancellation')
        ];
        
        try {
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/api/p/edit",
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => json_encode($postData),
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                    'Content-Type: application/json',
                    'Authorization: Token '.$this->token,
                ],
            ]);

            $response = curl_exec($curl);
     
            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (\Exception $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	*/
	
	public function shippingcharges(Request $request){
      
        try {
            
            $query_params = $request->query();
            $query = '';
            foreach ($query_params as $key => $value) {
               $query .="$key=$value&";
            }

            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/api/kinko/v1/invoice/charges/.json?".$query,
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                    'Authorization: Token '.$this->token
                ],
            ]);

            $response = curl_exec($curl);

            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (Throwable $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	
	public function shippingtrack(Request $request){
        try {
            $query = '';
            if($request->has('waybill')) {
               $query .='&waybill='.$request->get('waybill');
            }
            if($request->has('ref_ids')) {
               $query .='&ref_ids='.$request->get('ref_ids');
            }
           
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/api/v1/packages/json/?token=$this->token".$query,
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                ],
            ]);
           
            $response = curl_exec($curl);
            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (\Exception $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	
	public function warehouse(Request $request,$action){
      

        if(!in_array($action,['edit','create'])){
            return response()->json([
                'status' => true,
                'message' =>'Invalid Url',
            ], 500);
        }
        
        if($action=='create'){
            $postData = [
              "name" => $request->post('name'),        
              "email" => $request->post('email'),            
              "phone" => $request->post('phone'),        
              "address" => $request->post('address'),            
              "city" => $request->post('city'),        
              "country" => $request->post('country'),
              "pin"=> $request->post('pin'),
              "return_address"=> $request->post('return_address'),
              "return_pin"=> $request->post('return_pin'),
              "return_city"=> $request->post('return_city'),
              "return_state"=> $request->post('return_state'),
              "return_country"=> $request->post('return_country')           
            ];
        }else if($action=="edit"){
            $postData = [
              "name" => $request->post('name'),        
              "phone" => $request->post('phone'),        
              "address" => $request->post('address')          
            ]; 
            
        }


        
        try {
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://track.delhivery.com/api/backend/clientwarehouse/$action/",
                CURLOPT_RETURNTRANSFER => true, 
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => json_encode($postData),
                CURLOPT_TIMEOUT => 30, 
                CURLOPT_HTTPHEADER => [
                    'Accept: application/json',
                    'Content-Type: application/json',
                    'Authorization: Token '.$this->token,
                ],
            ]);

            $response = curl_exec($curl);
     
            if (curl_errno($curl)) {

                $errorMessage = curl_error($curl);
                curl_close($curl);
                return response()->json([
                    'status' => 'error',
                    'message' => $errorMessage,
                ], 500);
            }

            curl_close($curl);
            $decodedResponse = json_decode($response, true);
            return response()->json($decodedResponse);
            
        } catch (\Exception $e) {
        
            return response()->json([
                    "status"=>"error",
                    "message"=>$e->getMessage()
            ]);
        }
	}
	

	

	
	
	
	
	
    
  
    

   
    


}
