<?php

namespace App\Models\Core;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Kyslik\ColumnSortable\Sortable;
use App\Http\Controllers\AdminControllers\SiteSettingController;

class SizeMaster extends Model
{
    protected $table = 'size_masters';
    protected $primaryKey = 'id';
    
    public function recursiveCategories(){
      $items = DB::table('categories')
          ->leftJoin('categories_description','categories_description.categories_id', '=', 'categories.categories_id')
          ->select('categories.categories_id', 'categories_description.categories_name', 'categories.parent_id')
          ->where('language_id','=', 1)
          ->where('categories_status', '1')
          ->get();

          $childs = array();
          foreach($items as $item)
              $childs[$item->parent_id][] = $item;

          foreach($items as $item) if (isset($childs[$item->categories_id]))
              $item->childs = $childs[$item->categories_id];
          if(count($childs)>0){
            $tree = $childs[0];
          }else{
            $tree = $childs;
          }

          return  $tree;
    }
    
    public function insert($date_added,$category_id,$units,$volumn){
        $categories = DB::table('size_masters')->insertGetId([
            'created_at'  => $date_added,
            'category_id' => $category_id,
            'units'       => $units,
            'volumn'      => $volumn,
        ]);
        return $categories;
    }
    
    public function editSizeMaster($request){
        $editSizeMaster = DB::table('size_masters')
        ->select('size_masters.id',  'size_masters.created_at', 'size_masters.updated_at', 'size_masters.units','size_masters.volumn','categories.categories_id','categories.categories_name as categories_name')
        ->leftJoin('categories_description as categories','categories.categories_id', '=', 'size_masters.category_id')
        ->where('language_id','=', 1)
        ->where('size_masters.id', $request->id)->get();
        
        return $editSizeMaster;
    }
    
    public function updateRecord($id,$category_id,$last_modified,$units,$volumn){
    
      DB::table('size_masters')->where('id', $id)->update(
      [
           'updated_at' => $last_modified,
           'category_id'=> $category_id,
           'units'      => $units,
           'volumn'     => $volumn,
      ]);
      
    }
    
    public function deleteRecord($request){
        $size_id = $request->id;
        DB::table('size_masters')->where('id', $size_id)->delete();
        return "success";
    }
    
    public function paginator(){
        $setting = new Setting();
        $myVarsetting = new SiteSettingController($setting);
        $commonsetting = $myVarsetting->commonsetting();

        $sizeMaster =  DB::table('size_masters')
            ->select('size_masters.id',  'size_masters.created_at as date_added', 'size_masters.updated_at as last_modified', 'size_masters.units as size_units','size_masters.volumn as size_volumn')
            ->where('language_id','=', 1)
            ->paginate($commonsetting['pagination']);
    
        return $sizeMaster;
    }
}