<?php

namespace App\Models\Web;

use http\Env\Request;
use Illuminate\Database\Eloquent\Model;
use DB;
use App\Models\Core\Categories;
use App\Models\Web\Cart;
use Illuminate\Support\Facades\Lang;
use Session;


class Service extends Model
{
  public function getAllNews($data){

		if(empty($data['page_number']) or $data['page_number'] == 0 ){
			$skip								=   $data['page_number'].'0';
		}else{
			$skip								=   $data['limit']*$data['page_number'];
		}

		$currentDate 							=   time();
		$type									=	$data['type'];
		$take									=   $data['limit'];

		if($type=="atoz"){
			$sortby								=	"title";
			$order								=	"ASC";
		}elseif($type=="ztoa"){
			$sortby								=	"title";
			$order								=	"DESC";
		}elseif($type=="asc"){
			$sortby								=	"service_products.products_id";
			$order								=	"ASC";
		}else{
			$sortby = "service_products.products_id";
			$order = "desc";
		}

		$categories = DB::table('service_products')
           ->LeftJoin('image_categories as categoryTable', function ($join) {
                $join->on('categoryTable.image_id', '=', 'service_products.image')
                    ->where(function ($query) {
                        $query->where('categoryTable.image_type', '=', 'THUMBNAIL')
                            ->where('categoryTable.image_type', '!=', 'THUMBNAIL')
                            ->orWhere('categoryTable.image_type', '=', 'ACTUAL');
                    });
            })
             ->leftJoin('category','service_products.category_id', '=', 'category.category_id')
             ->select('service_products.products_id as id', 'service_products.image as image',  'service_products.created_at as date_added', 'service_products.updated_at as last_modified',
            'service_products.title as title','service_products.price as price','service_products.description as description',
            'service_products.discount as discount','service_products.time as time','categoryTable.path as imgpath', 
            'service_products.service_status  as service_status','category.category_name as category_name','category.category_id as category_id')
            ->groupby('category.category_id');
            
        if(!empty($data['category_id'])){
			$categories->where('category.category_id','=', $data['category_id']);
		}

		//get single news
		if(!empty($data['products_id']) && $data['products_id']!=""){
			$categories->where('service_products.products_id','=', $data['products_id']);
		}

	

		//count
		$total_record = $categories->groupBy('service_products.products_id')->get();

		$data  = $categories->skip($skip)->take($take)->groupBy('service_products.products_id')->get();
		$result = array();
		$index = 0;
		foreach($data as $news_data){
			array_push($result,$news_data);

			$name =  $news_data->title;
			$result[$index]->title = stripslashes($name);

			$index++;
		}

		//check if record exist
		if(count($data)>0){
				$responseData = array('success'=>'1', 'news_data'=>$result,  'message'=>"Returned all news.", 'total_record'=>count($total_record));
			}else{
				$responseData = array('success'=>'0', 'news_data'=>array(),  'message'=>"Empty record.", 'total_record'=>count($total_record));
			}

		return ($responseData);
	}


    public function getServiceCategories(){
    
        $categories =   DB::table('category')
                        ->leftJoin('service_products','service_products.category_id', '=', 'category.category_id')
    					->select('service_products.products_id as id','category.category_id','category.category_name','service_products.title as title')
    					->distinct()->get('category.category_name');
       return($categories);
    	
    }
    
  public function getNewsCategories(){

		$data 		=	array();
	   $categories =  DB::table('service_products')
           ->LeftJoin('image_categories as categoryTable', function ($join) {
                $join->on('categoryTable.image_id', '=', 'service_products.image')
                    ->where(function ($query) {
                        $query->where('categoryTable.image_type', '=', 'THUMBNAIL')
                            ->where('categoryTable.image_type', '!=', 'THUMBNAIL')
                            ->orWhere('categoryTable.image_type', '=', 'ACTUAL');
                    });
            })
             ->leftJoin('category','service_products.category_id', '=', 'category.category_id')
             ->select('service_products.products_id as id', 'service_products.image as image',  'service_products.created_at as date_added', 'service_products.updated_at as last_modified',
            'service_products.title as title','service_products.price as price','service_products.description as description',
            'service_products.discount as discount','service_products.time as time','categoryTable.path as imgpath', 
            'service_products.service_status  as service_status','category.category_name as category_name','category.category_id as category_id')
            ->get();



		if(count($categories)>0){
			foreach($categories as $categories_data){
				$categories_id = $categories_data->category_id;
				$news = DB::table('category')
						->LeftJoin('service_products', 'category.category_id', '=', 'service_products.category_id')
						->select('category.category_id', DB::raw('COUNT(DISTINCT service_products.products_id) as total_news'))
						->where('category.category_id','=', $categories_id)
						->get();

				$categories_data->total_news = $news[0]->total_news;
				array_push($data,$categories_data);
			}

		}
		return($data);
	}

  public function getCategories($category){
    $categories =  DB::table('service_products')
           ->LeftJoin('image_categories as categoryTable', function ($join) {
                $join->on('categoryTable.image_id', '=', 'service_products.image')
                    ->where(function ($query) {
                        $query->where('categoryTable.image_type', '=', 'THUMBNAIL')
                            ->where('categoryTable.image_type', '!=', 'THUMBNAIL')
                            ->orWhere('categoryTable.image_type', '=', 'ACTUAL');
                    });
            })
             ->leftJoin('category','service_products.category_id', '=', 'category.category_id')
             ->select('service_products.products_id as id', 'service_products.image as image',  'service_products.created_at as date_added', 'service_products.updated_at as last_modified',
            'service_products.title as title','service_products.price as price','service_products.description as description',
            'service_products.discount as discount','service_products.time as time','categoryTable.path as imgpath', 
            'service_products.service_status  as service_status','category.category_name as category_name','category.category_id as category_id')
            ->where('category.category_name','=',$category)
            ->groupby('category.category_id')
            ->get();
    return $categories;
  }

  public function servicedetail($request){
    
    $news =  DB::table('service_products')
           ->LeftJoin('image_categories as categoryTable', function ($join) {
                $join->on('categoryTable.image_id', '=', 'service_products.image')
                    ->where(function ($query) {
                        $query->where('categoryTable.image_type', '=', 'THUMBNAIL')
                            ->where('categoryTable.image_type', '!=', 'THUMBNAIL')
                            ->orWhere('categoryTable.image_type', '=', 'ACTUAL');
                    });
            })
             ->leftJoin('category','service_products.category_id', '=', 'category.category_id')
             ->select('service_products.products_id as id', 'service_products.image as image',  'service_products.created_at as date_added', 'service_products.updated_at as last_modified',
            'service_products.title as title','service_products.price as price','service_products.description as description',
            'service_products.discount as discount','service_products.time as time','categoryTable.path as imgpath', 
            'service_products.service_status  as service_status','category.category_name as category_name','category.category_id as category_id')
            ->where('category.category_name','=',$request->slug)
            ->where('service_products.title','=',$request->title)
             ->get();
         
            
          return $news;
  }





}
