@extends('admin.layout')
@section('content')
<style>
        .container {
            width: 100%;
            margin: auto;
        }
        .formfield {
            display: flex;
            flex-wrap: wrap;
            margin-bottom: 10px;
        }
        .formfield > div {
            margin-right: 10px;
        }
        .controls {
            margin-top: 10px;
        }
    </style>
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1> {{ trans('labels.languages') }} <small>{{ trans('labels.AddNewLanguage') }}...</small> </h1>
            <ol class="breadcrumb">
                <li><a href="{{ URL::to('admin/dashboard/this_month')}}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
                <li><a href="{{ URL::to('admin/languages/display')}}"><i class="fa fa-language"></i>{{ trans('labels.languages') }}</a></li>
                <li class="active">{{ trans('labels.AddLanguage') }}</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <!-- Info boxes -->

            <!-- /.row -->
            <div class="row">
                <div class="col-md-12">

                    <div class="box">
                      <div class="box-header">
                          <h3 class="box-title">{{ trans('labels.AddLanguage') }}</h3>
                      </div>

                        <!-- /.box-header -->
                        <div class="box-body">
                            <div class="row">
                                <div class="col-xs-12">
                                    @if (count($errors) > 0)
                                        @if($errors->any())
                                            <div class="alert alert-success alert-dismissible" role="alert">
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                {{$errors->first()}}
                                            </div>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-xs-12">
                                    <div class="box box-info">
                                        <!-- form start -->
                                        <div class="box-body">

                                            {!! Form::open(array('url' =>'admin/orders/add', 'method'=>'post', 'class' => 'form-horizontal form-validate', 'enctype'=>'multipart/form-data')) !!}
                                            <div class="form-group">
                                                <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.SelectCustomer') }}<span style="color:red;">*</span></label>
                                                <div class="col-sm-10 col-md-6">
                                                    <select class="form-control field-validate select2" name="customers_id">
                                                        <option value="" selected disabled>{{ trans('labels.SelectCustomer') }}</option>
                                                        @if(isset($result['customers']) && $result['customers'])
                                                            @foreach($result['customers'] as $k => $cust)
                                                                <option value="{{$cust->id}}">{{ $cust->first_name.' '.$cust->last_name }}</option>
                                                            @endforeach
                                                        @endif
                                                    </select>
                                                    <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.SelectCustomerTaxt') }}</span>
                                                    <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                                </div>
                                            </div>
                                            
                                            <div class="container">
                                                <div id="formfields">
                                                    <div class="formfield">
                                                        <div class="col-sm-10 col-md-2">
                                                            <input type="hidden" id="product_name_0" value="" name="products[0][products_name]">
                                                            <select id="product_select_0" class="form-control field-validate" name="products[0][products_id]" onchange="updateProductName(this, 0)">
                                                                <option value="" selected disabled>Select Customer</option>
                                                                @if(isset($result['products']) && $result['products'])
                                                                    @foreach($result['products'] as $k => $prod)
                                                                        <option data-name="{{ $prod->product_products_name }}" value="{{$prod->id}}">{{ $prod->product_products_name }}</option>
                                                                    @endforeach
                                                                @endif
                                                            </select>
                                                            <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">Select Customer</span>
                                                            <span class="help-block hidden">This field is required.</span>
                                                        </div>
                                                        <input type="text" name="products[0][products_quantity]" class="text" size="10" placeholder="Product Quantity" required>
                                                        <input type="text" name="products[0][products_price]" class="text" size="10" placeholder="Product Price">
                                                        <input type="text" name="products[0][current_stock]" class="text" size="10" placeholder="Current Stock" required>
                                                        <input type="text" name="products[0][gst_percente]" class="text" size="15" placeholder="GST %">
                                                        <input type="text" name="products[0][gst_amount]" class="text" size="15" placeholder="GST Amount" required>
                                                        <input type="text" name="products[0][discount]" class="text" size="15" placeholder="Discount" required>
                                                        <input type="text" name="products[0][final_price]" class="text" size="15" placeholder="Total Amount" required>
                                                    </div>
                                                </div>
                                                <div class="controls">
                                                    <button class="add" type="button" onclick="add()"><i class="fa fa-plus"></i> Add</button>
                                                    <button class="remove" type="button" onclick="remove()"><i class="fa fa-minus"></i> Remove</button>
                                                </div>
                                            </div>
                                            
                                            <!-- /.box-body -->
                                            <div class="box-footer text-right">
                                                <div class="col-sm-offset-2 col-md-offset-3 col-sm-10 col-md-4">
                                                    <button type="submit" class="btn btn-primary">{{ trans('labels.Submit') }}</button>
                                                    <a href="{{ URL::to('admin/orders/display')}}" type="button" class="btn btn-default">{{ trans('labels.back') }}</a>
                                                </div>
                                            </div>
                                            <!-- /.box-footer -->
                                            {!! Form::close() !!}
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>


                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->

            <!-- Main row -->

            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
    <script>
        
        var formfields = document.getElementById('formfields');

        function add() {
            var formfield_tags = document.querySelectorAll('.formfield');
            var newIndex = formfield_tags.length;
        
            var formfield = formfield_tags[0];
            var newFormfield = document.createElement('div');
            newFormfield.setAttribute('class', 'formfield');
        
            var children = formfield.children;
            for (var i = 0; i < children.length; i++) {
                var child = children[i].cloneNode(true);
        
                if (child.tagName === 'DIV' && child.querySelector('select')) {
                    var select = child.querySelector('select');
                    select.setAttribute('id', 'product_select_' + newIndex);
                    select.setAttribute('name', select.getAttribute('name').replace(/\[\d+\]/, '[' + newIndex + ']'));
                    select.setAttribute('onchange', 'updateProductName(this, ' + newIndex + ')');
                }
        
                if (child.tagName === 'INPUT') {
                    child.setAttribute('name', child.getAttribute('name').replace(/\[\d+\]/, '[' + newIndex + ']'));
                    if (child.getAttribute('type') === 'hidden') {
                        child.setAttribute('id', 'product_name_' + newIndex);
                    }
                    child.value = '';
                }
        
                newFormfield.appendChild(child);
            }
        
            formfields.appendChild(newFormfield);
        }
        
        function remove() {
            var formfield_tags = document.querySelectorAll('.formfield');
            if (formfield_tags.length > 1) {
                formfields.removeChild(formfield_tags[formfield_tags.length - 1]);
            }
        }
        
        function updateProductName(selectElement, index) {
            var selectedOption = selectElement.options[selectElement.selectedIndex];
            var productName = selectedOption.getAttribute('data-name');
            document.getElementById('product_name_' + index).value = productName;
        }
    </script>
@endsection
