@extends('admin.layout')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1> {{ trans('labels.Orders') }} <small>{{ trans('labels.ListingAllOrders') }}...</small> </h1>
            <ol class="breadcrumb">
                <li><a href="{{ URL::to('admin/dashboard/this_month') }}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
                <li class="active">{{ trans('labels.Orders') }}</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <!-- Info boxes -->
            <div class="row">
                <div class="col-xs-12">
                    <!--@if (count($errors) > 0)-->
                    <!--    @if($errors->any())-->
                    <!--        <div class="alert alert-danger alert-dismissible" role="alert">-->
                    <!--            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>-->
                    <!--            {{$errors->first()}}-->
                    <!--        </div>-->
                    <!--    @endif-->
                    <!--@endif-->
                    @if(session('orders'))
                        <div class="alert alert-success alert-dismissible" role="alert">
                            {{ session('orders') }}
                        </div>
                    @endif
                </div>
            </div>
            <!-- /.row -->

            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">{{ trans('labels.ListingAllOrders') }} </h3>
                            
                            <div class="box-tools pull-right">
                                <div class="d-flex">
                                     <a href="{{ route('download.file', ['filename' => 'sample.csv']) }}" type="button" class="btn  btn-primary">Download Sample</a>
                                     <a href="{{url('admin/orders/excelUpload')}}" type="button" class="btn  btn-primary">Csv Upload</a>
                                     <a href="{{url('admin/orders/add')}}" type="button" class="btn  btn-primary">Add New</a>
                                </div>
                               
                            </div>
                        </div>
                    
                        <!-- /.box-header -->
                        <div class="box-body">
                            <div class="row">
                                <div class="col-xs-12">
                                    @if (count($errors) > 0)
                                        @if($errors->any())
                                            <div class="alert alert-success alert-dismissible" role="alert">
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                {{$errors->first()}}
                                            </div>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-xs-12">
                                    <table id="example1" class="table table-bordered table-striped">
                                        <thead>
                                        <tr>
                                            <th>{{ trans('labels.ID') }}</th>
                                            <th>{{ trans('labels.CustomerName') }}</th>
                                            <th>{{ trans('labels.OrderTotal') }}</th>
                                            <th>{{ trans('labels.DatePurchased') }}</th>
                                            <th>{{ trans('labels.Status') }} </th>
                                            <th>{{ trans('labels.Action') }}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @if(isset($listingOrders['orders']) && count($listingOrders['orders'])>0)
                                            @foreach ($listingOrders['orders'] as $key=>$orderData)
                                                <?php
                                                    $orderTax = isset($orderData->total_tax ) && $orderData->total_tax ? $orderData->total_tax : '';
                                                    $orderAmount = isset($orderData->order_price) && $orderData->order_price ? $orderData->order_price : '';
                                                    if(isset($orderData->total_tax) && $orderData->total_tax)
                                                    {
                                                        $taxAmount = $orderTax / 100 * $orderAmount;
                                                        $totalOrderAmount = $orderAmount + $taxAmount;
                                                    }
                                                    else
                                                    {
                                                        $totalOrderAmount = $orderAmount;
                                                    }
                                                ?>
                                                <tr>
                                                    <td>{{ $orderData->orders_id }}</td>
                                                    <td>{{ $orderData->customers_name }}</td>
                                                    <td>
                                                      @if(!empty($result['commonContent']['currency']->symbol_left)) 
                                                       {{$result['commonContent']['currency']->symbol_left}} 
                                                      @endif 
                                                      {{-- isset($totalOrderAmount) && $totalOrderAmount ? $totalOrderAmount : '' --}} 
                                                      {{ ($orderData->total_price) ?  $orderData->total_price : '' }} 
                                                      @if(!empty($result['commonContent']['currency']->symbol_right)) 
                                                       {{$result['commonContent']['currency']->symbol_right}} 
                                                      @endif
                                                    </td>
                                                    <!--<td>{{-- date('d/m/Y', strtotime($orderData->date_purchased)) --}}</td>-->
                                                    <td>{{ date('d/m/Y', strtotime($orderData->created_at)) }}</td>
                                                    <td>
                                                        @php
                                                          $status = $listingOrders['status'];
                                                        @endphp
                                                        {{--
                                                            @if($orderData->orders_status_id==1)
                                                                <span class="label label-warning">
                                                            @elseif($orderData->orders_status_id==2)
                                                                <span class="label label-success" >
                                                            @elseif($orderData->orders_status_id==3)
                                                                <span class="label label-danger" >
                                                            @else
                                                                <span class="label label-primary"  >
                                                            @endif
                                                            {{ $orderData->orders_status }}
                                                        --}}
                                                        
                                                        {{--
                                                            @if($orderData->order_status=="Manifested")
                                                                <span class="label label-warning" id="order_status_{{$orderData->order_waybill}}" >Pending<span>
                                                            @elseif($orderData->order_status=='2')
                                                                <span class="label label-success" id="order_status_{{$orderData->order_waybill}}" >Delivered</span>
                                                            @elseif($orderData->order_status=="Not Picked")
                                                                <span class="label label-danger" id="order_status_{{$orderData->order_waybill}}" >Cancelled</span>
                                                            @else
                                                                <span class="label label-primary" id="order_status_{{$orderData->order_waybill}}" >Closed</span>
                                                            @endif
                                                        --}}
                                                         <span class="label label-warning" id="order_status_{{$orderData->order_waybill}}">{{ $orderData->order_status }}</span>
                                                    </td>
                                                    <td>
                                                        <!--<a data-toggle="tooltip" data-placement="bottom" title="View Order" href="vieworder/{{ $orderData->orders_id }}" class="badge bg-light-blue"><i class="fa fa-eye" aria-hidden="true"></i></a>-->
                                                        
                                                        <a data-toggle="tooltip" data-placement="bottom" title="View Order" href="{{url('admin/orders/vieworder/'.$orderData->orders_id)}}" class="badge bg-light-blue"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                                        <a data-toggle="tooltip" data-placement="bottom" title="Delete Order" id="deleteOrdersId" orders_id="{{ $orderData->orders_id }}" class="badge bg-red"><i class="fa fa-trash" aria-hidden="true"></i></a>
                                                        <a data-toggle="tooltip" data-placement="bottom" title="Update Order" orders_id="{{ $orderData->orders_id }}" class="badge bg-blue"><i class="fa fa-edit" aria-hidden="true"></i></a>
                                                        <!--<a data-toggle="tooltip" data-placement="bottom" title="Cancel Status" class="badge bg-info"><i class="fa fa-ban" aria-hidden="true"></i></a>-->
                                                        <a data-toggle="tooltip" data-placement="bottom" title="Order Status" onclick=refreshOrderStatus('{{ $orderData->order_waybill }}') class="badge bg-success"><i class="fa fa-refresh" aria-hidden="true"></i></a>

                                                    </td>

                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="6"><strong>{{ trans('labels.NoRecordFound') }}</strong></td>
                                            </tr>
                                        @endif
                                        </tbody>
                                    </table>
                                    <div class="col-xs-12 text-right">
                                        {{$listingOrders['orders']->links()}}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->

            <!-- deleteModal -->
            <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteLabel">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title" id="deleteModalLabel">{{ trans('labels.DeleteOrder') }}</h4>
                        </div>
                        {!! Form::open(array('url' =>'admin/orders/deleteOrder', 'name'=>'deleteOrder', 'id'=>'deleteOrder', 'method'=>'post', 'class' => 'form-horizontal', 'enctype'=>'multipart/form-data')) !!}
                        {!! Form::hidden('action',  'delete', array('class'=>'form-control')) !!}
                        {!! Form::hidden('orders_id',  '', array('class'=>'form-control', 'id'=>'orders_id')) !!}
                        <div class="modal-body">
                            <p>{{ trans('labels.DeleteOrderText') }}</p>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">{{ trans('labels.Close') }}</button>
                            <button type="submit" class="btn btn-primary" id="deleteOrder">{{ trans('labels.Delete') }}</button>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>

            <!-- Main row -->

            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
    
@endsection

