@extends('admin.layout')
@section('content')
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1> {{ trans('labels.ViewOrder') }} <small> {{ trans('labels.ViewOrder') }}...</small> </h1>
    <ol class="breadcrumb">
      <li><a href="{{ URL::to('admin/dashboard/this_month')}}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
      <li><a href="{{ URL::to('admin/orders/display')}}"><i class="fa fa-dashboard"></i>  {{ trans('labels.ListingAllOrders') }}</a></li>
      <li class="active"> {{ trans('labels.ViewOrder') }}</li>
    </ol>
  </section>

  <!-- Main content -->
  <section class="invoice" style="margin: 15px;">
      <!-- title row -->
      @if(session()->has('message'))
       <div class="col-xs-12">
       <div class="row">
      	<div class="alert alert-success alert-dismissible">
           <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
           <h4><i class="icon fa fa-check"></i> {{ trans('labels.Successlabel') }}</h4>
            {{ session()->get('message') }}
        </div>
        </div>
        </div>
        @endif
        @if(session()->has('error'))
        <div class="col-xs-12">
      	<div class="row">
        	<div class="alert alert-warning alert-dismissible">
               <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
               <h4><i class="icon fa fa-warning"></i> {{ trans('labels.WarningLabel') }}</h4>
                {{ session()->get('error') }}
            </div>
          </div>
         </div>
        @endif
      <div class="row">
        <div class="col-xs-12">
          <h2 class="page-header" style="padding-bottom: 25px; margin-top:0;">
            <i class="fa fa-globe"></i> {{ trans('labels.OrderID') }}# {{ $data['orders_data']->orders_id }}
            <small style="display: inline-block">{{ trans('labels.OrderedDate') }}: {{ date('m/d/Y', strtotime($data['orders_data']->date_purchased)) }}</small>
            <a href="{{ URL::to('admin/orders/invoiceprint/'.$data['orders_data']->orders_id)}}" target="_blank"  class="btn btn-default pull-right"><i class="fa fa-print"></i> {{ trans('labels.Print') }}</a>
          </h2>
        </div>
        <!-- /.col -->
      </div>
      <!-- info row -->
      <div class="row invoice-info">
        <div class="col-sm-4 invoice-col">
          {{ trans('labels.CustomerInfo') }}:
          <address>
            <strong>{{ $data['orders_data']->customers_name }}</strong><br>
            {{ $data['orders_data']->customers_street_address }} <br>
            {{ $data['orders_data']->customers_city }}, {{ $data['orders_data']->customers_state }}, {{ $data['orders_data']->customers_postcode }}, {{ $data['orders_data']->customers_country }}<br>
            {{ trans('labels.Phone') }}: {{ $data['orders_data']->customers_telephone }}<br>
            {{ trans('labels.Email') }}: {{ $data['orders_data']->email }}
          </address>
        </div>
        <!-- /.col -->
        <div class="col-sm-4 invoice-col">
          {{ trans('labels.ShippingInfo') }}
          <address>
            <strong>{{ $data['orders_data']->delivery_name }}</strong><br>
            {{ $data['orders_data']->delivery_street_address }} <br>
            {{ $data['orders_data']->delivery_city }}, {{ $data['orders_data']->delivery_state }}, {{ $data['orders_data']->delivery_postcode }}, {{ $data['orders_data']->delivery_country }}<br>

           <strong>{{ trans('labels.Phone') }}: </strong>{{ $data['orders_data']->delivery_phone }}<br>
           <strong> {{ trans('labels.ShippingMethod') }}:</strong> {{ $data['orders_data']->shipping_method }} <br>
           <strong> {{ trans('labels.ShippingCost') }}:</strong> 
           
          </address>
        </div>
        
        
        <!-- /.col -->
        <div class="col-sm-4 invoice-col">
         {{ trans('labels.BillingInfo') }}
          <address>
            <strong>{{ $data['orders_data']->billing_name }}</strong><br>
            {{ $data['orders_data']->billing_street_address }} <br>
            <strong>{{ trans('labels.Phone') }}: </strong>{{ $data['orders_data']->billing_phone }}<br>
            {{ $data['orders_data']->billing_city }}, {{ $data['orders_data']->billing_state }}, {{ $data['orders_data']->billing_postcode }}, {{ $data['orders_data']->billing_country }}<br>
          </address>
        </div>
        <!-- /.col -->
      </div>
      
      <div class="row">
        <!-- accepted payments column -->
        <div class="col-xs-7">
          <p class="lead" style="margin-bottom:10px">{{ trans('labels.PaymentMethods') }}:</p>
          <p class="text-muted well well-sm no-shadow" style="text-transform:capitalize">
           	{{ str_replace('_',' ', $data['orders_data']->payment_method) }}
          </p>
          @if(!empty($data['orders_data']->coupon_code))
              <p class="lead" style="margin-bottom:10px">{{ trans('labels.Coupons') }}:</p>
                <table class="text-muted well well-sm no-shadow stripe-border table table-striped" style="text-align: center; ">
                	<tr>
                        <th style="text-align: center; ">{{ trans('labels.Code') }}</th>
                        <th style="text-align: center; ">{{ trans('labels.Amount') }}</th>
                    </tr>
                	@foreach( json_decode($data['orders_data']->coupon_code) as $couponData)
                    	<tr>
                        	<td>{{ $couponData->code}}</td>
                            <td>{{ $couponData->amount}}

                                @if($couponData->discount_type=='percent_product')
                                    ({{ trans('labels.Percent') }})
                                @elseif($couponData->discount_type=='percent')
                                    ({{ trans('labels.Percent') }})
                                @elseif($couponData->discount_type=='fixed_cart')
                                    ({{ trans('labels.Fixed') }})
                                @elseif($couponData->discount_type=='fixed_product')
                                    ({{ trans('labels.Fixed') }})
                                @endif
                            </td>
                        </tr>
                    @endforeach
				</table>
               <!-- {{ $data['orders_data'][0]->coupon_code }}-->

          @endif

          @if(isset($data['orders_data']->order_information) && !empty($data['orders_data']->order_information) && trim($data['orders_data']->order_information) != '[]')
            <p class="lead" style="margin-bottom:10px">{{ trans('labels.Orderinformation') }}:</p>
            <p class="text-muted well well-sm no-shadow" style="text-transform:capitalize; word-break:break-all;">
                {{ $data['orders_data']->order_information }}
            </p>
          @endif

        </div>  

         {!! Form::open(array('url' =>'admin/orders/updateOrder', 'method'=>'post', 'onSubmit'=>'return cancelOrder();', 'class' => 'form-horizontal', 'enctype'=>'multipart/form-data')) !!}
         {!! Form::hidden('orders_id', $data['orders_data']->orders_id, array('class'=>'form-control', 'id'=>'orders_id'))!!}
         {!! Form::hidden('customers_id', $data['orders_data']->customers_id, array('class'=>'form-control', 'id'=>'device_id')) !!}
        <div class="col-xs-12">
            <hr>
            <p class="lead">{{ trans('labels.ChangeStatus') }}:</p>
            <div class="col-md-12">
               <div class="form-group">
                <label>{{ trans('labels.Comments') }}:</label>
                {!! Form::textarea('comments',  '', array('class'=>'form-control', 'id'=>'comments', 'rows'=>'4'))!!}
                <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.CommentsOrderText') }}</span>
              </div>
            </div>
        </div>
        
        <div class="col-xs-12">
          <a href="{{ URL::to('admin/orders/display')}}" class="btn btn-default"><i class="fa fa-angle-left"></i> {{ trans('labels.back') }}</a>
          <button type="submit" class="btn btn-success pull-right"><i class="fa fa-credit-card"></i> {{ trans('labels.Submit') }} </button>
          <!--<button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
            <i class="fa fa-download"></i> Generate PDF
          </button>-->
          <br><br> <hr><br>
        </div>
       {!! Form::close() !!}
        
      </div>
     


    </section>
    <script>
        $(".pop").popover({ trigger: "manual" , html: true, animation:false})
            .on("mouseenter", function () {
                var _this = this;
                $(this).popover("show");
                $(".popover").on("mouseleave", function () {
                   $(_this).popover('hide');
                });
           }).on("mouseleave", function () {
                var _this = this;
               setTimeout(function () {
                    if (!$(".popover:hover").length) {
                        $(_this).popover("hide");
                   }
                }, 300);
        });
    </script>
  <!-- /.content -->
</div>
@endsection
