@extends('admin.layout')
@section('content')
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1> {{ trans('labels.Bookings') }} <small>{{ trans('labels.AddBookings') }}...</small> </h1>
        <ol class="breadcrumb">
            <li><a href="{{ URL::to('admin/dashboard/this_month') }}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
            <li><a href="{{ URL::to('admin/categories/display')}}"><i class="fa fa-database"></i>{{ trans('labels.Bookings') }}</a></li>
            <li class="active">{{ trans('labels.AddBookings') }}</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <!-- Info boxes -->

        <!-- /.row -->
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">{{ trans('labels.AddBookings') }} </h3>
                    </div>

                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="box box-info">
                                    <!-- form start -->
                                    <br>
                                    @if (count($errors) > 0)
                                    @if($errors->any())
                                    <div class="alert alert-success alert-dismissible" role="alert">
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        {{$errors->first()}}
                                    </div>
                                    @endif
                                    @endif
                                    <div class="box-body">

                                        {!! Form::open(array('url' =>'admin/booking/add', 'method'=>'post', 'class' => 'form-horizontal form-validate', 'enctype'=>'multipart/form-data')) !!}
                                       
                                        <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Name') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                            {!! Form::text('name',  '', array('class'=>'form-control field-validate', 'id'=>'email')) !!}
                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             {{ trans('labels.NameText') }}</span>
                                            <span class="help-block hidden"> {{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.mobile') }}</label>
                                          <div class="col-sm-10 col-md-4">
                                            {!! Form::text('mobile',  '', array('class'=>'form-control field-validate', 'id'=>'mobile')) !!}
                                           <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                           {{ trans('labels.MobileText') }}</span>
                                            <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                       
                                       <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.email') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                            {!! Form::text('email',  '', array('class'=>'form-control email-validate', 'id'=>'email')) !!}
                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             {{ trans('labels.EmailText') }}</span>
                                            <span class="help-block hidden"> {{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                        
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.address') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                            {!! Form::text('address',  '', array('class'=>'form-control field-validate', 'id'=>'address')) !!}
                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             {{ trans('labels.AddressText') }}</span>
                                            <span class="help-block hidden"> {{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                        
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Appointment Date') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                            {!! Form::text('appointment_date',  '', array('class'=>'form-control field-validate', 'id'=>'appointment_date')) !!}
                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             {{ trans('labels.AppointmentDateText') }}</span>
                                            <span class="help-block hidden"> {{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Appointment Time') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                            {!! Form::text('appointment_time',  '', array('class'=>'form-control field-validate', 'id'=>'appointment_time')) !!}
                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             {{ trans('labels.AppointmentTimeText') }}</span>
                                            <span class="help-block hidden"> {{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Aprx Cost') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                            {!! Form::text('aprx_cost',  '', array('class'=>'form-control field-validate', 'id'=>'aprx_cost')) !!}
                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             {{ trans('labels.AprxCostText') }}</span>
                                            <span class="help-block hidden"> {{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                        
                                         

                                        <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Status') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                            <select class="form-control" name="booking_status">
                                                  <option value="Pending">{{ trans('labels.Pending') }}</option>
                                                  <option value="Assigned">{{ trans('labels.Assigned') }}</option>
                                                  <option value="Completed">{{ trans('labels.Completed') }}</option>
                                                  <option value="Started">{{ trans('labels.Started') }}</option>
                                                  <option value="Cancelled">{{ trans('labels.Cancelled') }}</option>
                                            </select>
                                          <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                          {{ trans('labels.bookingStatusText') }}</span>
                                          </div>
                                        </div>

                                        <!-- /.box-body -->
                                        <div class="box-footer text-center">
                                            <button type="submit" class="btn btn-primary">{{ trans('labels.Submit') }}</button>
                                            <a href="{{ URL::to('admin/booking/display')}}" type="button" class="btn btn-default">{{ trans('labels.back') }}</a>
                                        </div>
                                        <!-- /.box-footer -->
                                        {!! Form::close() !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!-- /.box-body -->
                </div>
                <!-- /.box -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->

        <!-- Main row -->

        <!-- /.row -->
    </section>
    <!-- /.content -->

</div>

@endsection
