@extends('admin.layout')
@section('content')
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1> {{ trans('labels.EditBookings') }} <small>{{ trans('labels.EditBookings') }}...</small> </h1>
        <ol class="breadcrumb">
            <li><a href="{{ URL::to('admin/dashboard/this_month') }}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
            <li><a href="{{ URL::to('admin/booking/display')}}"><i class="fa fa-database"></i> {{ trans('labels.Bookings') }}</a></li>
            <li class="active">{{ trans('labels.EditBookings') }}</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <!-- Info boxes -->

        <!-- /.row -->
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">{{ trans('labels.EditBookings') }} </h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="box box-info">
                                    <br>
                                    @if (count($errors) > 0)
                                      @if($errors->any())
                                      <div class="alert alert-success alert-dismissible" role="alert">
                                          <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                          {{$errors->first()}}
                                      </div>
                                      @endif
                                    @endif
                                    <!-- /.box-header -->
                                    <!-- form start -->
                                    <div class="box-body">

                                        {!! Form::open(array('url' =>'admin/booking/update', 'method'=>'post', 'class' => 'form-horizontal form-validate', 'enctype'=>'multipart/form-data')) !!}

                                        {!! Form::hidden('id', $result['editSubCategory'][0]->id , array('class'=>'form-control', 'id'=>'id')) !!}

                                        <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Name') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                               <input type="text" name="name" class="form-control field-validate" value="{{$result['editSubCategory'][0]->name}}">
                                            <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.NameText') }}</span>
                                            <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                          <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.email') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                         <input type="text" name="email" class="form-control field-validate" value="{{$result['editSubCategory'][0]->email}}">
                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             {{ trans('labels.EmailText') }}</span>
                                            <span class="help-block hidden"> {{ trans('labels.EmailError') }}</span>
                                          </div>
                                        </div>
                                        
                                          <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.mobile') }}</label>
                                          <div class="col-sm-10 col-md-4">
                                              <input type="text" name="mobile" class="form-control field-validate" value="{{$result['editSubCategory'][0]->mobile}}">
                                            
                                           <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                           {{ trans('labels.MobileText') }}</span>
                                            <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                        
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.address') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                               <input type="text" name="address" class="form-control field-validate" value="{{$result['editSubCategory'][0]->address}}">
                                            <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.AddressText') }}</span>
                                            <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                        
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Appointment Date') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                               <input type="text" name="appointment_date" class="form-control field-validate" value="{{$result['editSubCategory'][0]->appointment_date}}">
                                            <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.AppointmentDateText') }}</span>
                                            <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                        
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Appointment Time') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                               <input type="text" name="appointment_time" class="form-control field-validate" value="{{$result['editSubCategory'][0]->appointment_time}}">
                                            <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.AppointmentTimeText') }}</span>
                                            <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>
                                        
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Aprx Cost') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                               <input type="text" name="aprx_cost" class="form-control field-validate" value="{{$result['editSubCategory'][0]->aprx_cost}}">
                                            <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.AprxCostText') }}</span>
                                            <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                          </div>
                                        </div>

                                        <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Status') }} </label>
                                          <div class="col-sm-10 col-md-4">
                                            <select class="form-control" name="booking_status">
                                                  <option value="Pending" @if($result['editSubCategory'][0]->booking_status=='Pending') selected @endif>{{ trans('labels.Pending') }}</option>
                                                  <option value="Assigned" @if($result['editSubCategory'][0]->booking_status=='Assigned') selected @endif>{{ trans('labels.Assigned') }}</option>
                                                  <option value="Completed" @if($result['editSubCategory'][0]->booking_status=='Completed') selected @endif>{{ trans('labels.Completed') }}</option>
                                                  <option value="Started" @if($result['editSubCategory'][0]->booking_status=='Started') selected @endif>{{ trans('labels.Started') }}</option>
                                                  <option value="Cancelled" @if($result['editSubCategory'][0]->booking_status=='Cancelled') selected @endif>{{ trans('labels.Cancelled') }}</option>
                                                  
                                            </select>
                                          <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                          {{ trans('labels.bookingStatusText') }}</span>
                                          </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- /.box-body -->
                            <div class="box-footer text-center">
                                <button type="submit" class="btn btn-primary">{{ trans('labels.Submit') }}</button>
                                <a href="{{ URL::to('admin/categories/display')}}" type="button" class="btn btn-default">{{ trans('labels.back') }}</a>
                            </div>
                            <!-- /.box-footer -->

                            {!! Form::close() !!}
                        </div>
                    </div>
                </div>
            </div>


        </div>
        <!-- /.box-body -->

        <!-- /.box -->

        <!-- /.col -->

        <!-- /.row -->

        <!-- Main row -->

        <!-- /.row -->
    </section>
    <!-- /.content -->
</div>
@endsection
