@extends('admin.layout')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>Edit Footers<small>Edit Footers...</small> </h1>
            <ol class="breadcrumb">
                <li><a href="{{ URL::to('admin/dashboard/this_month') }}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
                <li><a href="{{ URL::to('admin/menus')}}"><i class="fa fa-gears"></i> {{ trans('labels.ListingAllMenu') }}</a></li>
                <li class="active">Edit Footers</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <!-- Info boxes -->

            <!-- /.row -->

            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">Edit Footers</h3>
                        </div>

                        <!-- /.box-header -->
                        <div class="box-body">
                            <div class="row">
                                <div class="col-xs-12">
                                    <div class="box box-info">
                                    <!--<div class="box-header with-border">
                          <h3 class="box-title">{{ trans('labels.EditPage') }}</h3>
                        </div>-->
                                        <!-- /.box-header -->
                                        <!-- form start -->
                                        <div class="box-body">
                                            @if( count($errors) > 0)
                                                @foreach($errors->all() as $error)
                                                    <div class="alert alert-success" role="alert">
                                                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                                        <span class="sr-only">{{ trans('labels.Error') }}:</span>
                                                        {{ $error }}
                                                    </div>
                                                @endforeach
                                            @endif

                                            {!! Form::open(array('url' =>'admin/updatefooter', 'method'=>'post', 'class' => 'form-horizontal form-validate', 'enctype'=>'multipart/form-data')) !!}

                                              {!! Form::hidden('id', $result['editSubCategory'][0]->id , array('class'=>'form-control', 'id'=>'id')) !!}
                                            

                                             <div class="form-group">
                                            <label for="name" class="col-sm-2 col-md-3 control-label">Parent Name<span style="color:red;">*</span></label>
                                            <div class="col-sm-10 col-md-4">
                                                <input required name="parent_name" class="form-control menu" value="{{$result['editSubCategory'][0]->parent_name}}">
                                                <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                                    {{ trans('labels.SubMenuName') }}</span>
                                                <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                            </div>
                                        </div>
                                        
                                       
                                       <div class="form-group">
                                            <label for="name" class="col-sm-2 col-md-3 control-label">Child Name<span style="color:red;">*</span></label>
                                            <div class="col-sm-10 col-md-4">
                                                <input required name="footer_name" class="form-control menu" value="{{$result['editSubCategory'][0]->footer_name}}">
                                                <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                                    {{ trans('labels.SubMenuName') }}</span>
                                                <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                            </div>
                                        </div>
                                            <div class="form-group">
                                              <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Type') }} </label>
                                              <div class="col-sm-10 col-md-4">
                                                <select required id="select_id" onchange="showPageSelect()" class="form-control" name="type">
                                                      <option>{{ trans('labels.Select Type') }}</option>
                                                      <option @if($result['editSubCategory'][0]->type == 0) selected @endif value="0">HELP</option>
                                                      <option @if($result['editSubCategory'][0]->type == 1) selected @endif value="1">FOLLOW US</option>
                                                      <option @if($result['editSubCategory'][0]->type == 2) selected @endif value="2">COMPANY</option>
                                                      <option @if($result['editSubCategory'][0]->type == 3) selected @endif value="3">POLICIES</option>
                                                     
                                                </select>
                                              <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                              {{ trans('labels.GeneralStatusText') }}</span>
                                              </div>
                                            </div>
                                           <div class="form-group external_link @if($result['editSubCategory'][0]->type != 0) hidden @endif">
                                                <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.External_Link') }}<span style="color:red;">*</span></label>
                                                <div class="col-sm-10 col-md-4">
                                                    <input value="{{$result['editSubCategory'][0]->link}}" name="external_link" class="form-control menu">
                                                    <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                                    <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                                </div>
                                            </div>
                                            <div class="form-group link @if($result['editSubCategory'][0]->type != 1) hidden @endif">
                                                <label for="name" class="col-sm-2 col-md-3 control-label">Follow Us Link<span style="color:red;">*</span></label>
                                                <div class="col-sm-10 col-md-4">
                                                    
                                                    @if($result['editSubCategory'][0]->type == 1)
                                                    <input value="{{$result['editSubCategory'][0]->link}}" name="link" class="form-control menu">
                                                    @else
                                                    <input value="" name="link" class="form-control menu">
                                                    @endif
                                                    <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                                    <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                                </div>
                                            </div>
                                            <div class="form-group page @if($result['editSubCategory'][0]->type != 2) hidden @endif">
                                              <label for="name" class="col-sm-2 col-md-3 control-label">Company Link</label>
                                              <div class="col-sm-10 col-md-4">
                                                    
                                                    @if($result['editSubCategory'][0]->type == 2)
                                                    <input value="{{$result['editSubCategory'][0]->link}}" name="link" class="form-control menu">
                                                    @else
                                                    <input value="" name="link" class="form-control menu">
                                                    @endif
                                                    <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                                    <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                                </div>
                                            </div>

                                            <div class="form-group category @if($result['editSubCategory'][0]->type != 3) hidden @endif">
                                                <label for="name" class="col-sm-2 col-md-3 control-label">Policies Link</label>
                                                <div class="col-sm-10 col-md-4">
                                                    
                                                    @if($result['editSubCategory'][0]->type == 3)
                                                    <input value="{{$result['editSubCategory'][0]->link}}" name="policies_link" class="form-control menu">
                                                    @else
                                                    <input value="" name="policies_link" class="form-control menu">
                                                    @endif
                                                    <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                                    <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                                </div>
                                            </div>
    

                                            <script>
                                              function showPageSelect(){
                                                   var d = document.getElementById("select_id").value;
                                                   if(d == 0){
                                                        jQuery('.external_link').removeClass("hidden");
                                                        jQuery('.link').addClass("hidden");
                                                        jQuery('.page').addClass("hidden");
                                                        jQuery('.category').addClass("hidden");
                                                        jQuery('.product').addClass("hidden");
                                                        jQuery('.pages2').addClass("hidden");
                                                    }
                                                    else if(d == 1) {
                                                        jQuery('.external_link').addClass("hidden");
                                                        jQuery('.link').removeClass("hidden");
                                                        jQuery('.page').addClass("hidden");    
                                                        jQuery('.category').addClass("hidden");
                                                        jQuery('.product').addClass("hidden");  
                                                        jQuery('.pages2').addClass("hidden");                                         
                                                    }else if(d == 2) {
                                                        jQuery('.external_link').addClass("hidden");
                                                        jQuery('.link').addClass("hidden");
                                                        jQuery('.page').removeClass("hidden");
                                                        jQuery('.category').addClass("hidden");
                                                        jQuery('.product').addClass("hidden");
                                                        jQuery('.pages2').addClass("hidden");
                                                    }else if(d == 3) {
                                                        jQuery('.external_link').addClass("hidden");
                                                        jQuery('.link').addClass("hidden");
                                                        jQuery('.page').addClass("hidden");
                                                        jQuery('.category').removeClass("hidden");
                                                        jQuery('.product').addClass("hidden");
                                                        jQuery('.pages2').addClass("hidden");
                                                    }else if(d == 4) {
                                                        jQuery('.external_link').addClass("hidden");
                                                        jQuery('.link').addClass("hidden");
                                                        jQuery('.page').addClass("hidden");
                                                        jQuery('.category').addClass("hidden");
                                                        jQuery('.product').removeClass("hidden");
                                                        jQuery('.pages2').addClass("hidden");
                                                    }else if(d == 5) {
                                                        jQuery('.external_link').addClass("hidden");
                                                        jQuery('.link').addClass("hidden");
                                                        jQuery('.page').addClass("hidden");
                                                        jQuery('.category').addClass("hidden");
                                                        jQuery('.product').addClass("hidden");
                                                        jQuery('.pages2').removeClass("hidden");
                                                        
                                                    }
                                              }
                                            </script>

                                            <div class="form-group">
                                                <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Status') }}</label>
                                                <div class="col-sm-10 col-md-4">
                                                    <select name="status" id="status" class="form-control">
                                                        <option value="1"  @if($result['editSubCategory'][0]->status=='1') selected @endif>{{ trans('labels.Active') }}</option>
                                                        <option value="0"  @if($result['editSubCategory'][0]->status=='0') selected @endif>{{ trans('labels.InActive') }}</option>
                                                    </select>
                                                    <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.StatusPageText') }}</span>
                                                </div>
                                            </div>

                                            <!-- /.box-body -->
                                            <div class="box-footer text-center">
                                                <button type="submit" class="btn btn-primary">{{ trans('labels.Submit') }}</button>
                                                <a href="{{ URL::to('admin/footer')}}" type="button" class="btn btn-default">{{ trans('labels.back') }}</a>
                                            </div>

                                            <!-- /.box-footer -->
                                            {!! Form::close() !!}
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->

            <!-- Main row -->

            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
    <script src="{!! asset('plugins/jQuery/jQuery-2.2.0.min.js') !!}"></script>
   
@endsection
