@extends('admin.layout')
@section('content')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
<style>
    .horizontal-scrollable > .row { 
            overflow-x: auto; 
            white-space: nowrap; 
        } 
          
        .horizontal-scrollable > .row > .col-xs-4 { 
            display: inline-block; 
            float: none; 
        } 
        /* Decorations */ 
          
        .col-xs-4 { 
            color: white; 
            font-size: 12px; 
            padding-bottom: 10px; 
            padding-top: 9px; 
        } 
          
        .col-xs-4:nth-child(2n+1) { 
            background: #C0C0C0; 
            border-radius:10%;
        } 
          
        .col-xs-4:nth-child(2n+2) { 
            background: #C0C0C0; 
            border-radius:10%;
        } 
        .col-xs-4 {
            width: auto;
        }
</style>
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1> {{ trans('labels.Products') }} <small>{{ trans('labels.ListingAllProducts') }}...</small> </h1>
            <ol class="breadcrumb">
                <li><a href="{{ URL::to('admin/dashboard/this_month') }}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
                <li class="active"> {{ trans('labels.Products') }}</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <!-- Info boxes -->

            <!-- /.row -->
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-header">

                            <div CLASS="col-lg-12"> <h7 style="font-weight: bold; padding:0px 16px; float: left;">{{ trans('labels.FilterByCategory/Products') }}:</h7>

                                <br>
                           <div class="col-lg-12 form-inline">

                                <form  name='registration' id="registration" class="registration" method="get">
                                    <input type="hidden" name="_token" value="{{csrf_token()}}">
                                    <div class="container horizontal-scrollable"> 
                                        <div class="row text-center" name="categories_id" id="categories_id" style="float: left"> 
                                                <li class="col-xs-4" data-url="{{ url('admin/products/display') }}">
                                                    <a href="#" style="color: #000000">All</a>
                                                </li> 
                                            @foreach ($results['subCategories'] as $key => $subCategories)
                                                <li class="col-xs-4" data-id="{{ $subCategories->id }}" data-url="{{ url('admin/products/display') }}">
                                                    <a href="#" style="color: #000000">{{ $subCategories->name }}</a>
                                                </li> 
                                            @endforeach
                                        </div> 
                                    </div> 
                                    <br>
                                    <div class="input-group-form search-panel ">
                                        <input style="width:80%" type="text" class="form-control input-group-form " name="product" placeholder="Search term..." id="parameter"  @if(isset($product)) value="{{$product}}" @endif />
                                        <button class="btn btn-primary " id="submit" type="submit"><span class="glyphicon glyphicon-search"></span></button>
                                    </div>
                                </form>
                                <div class="col-lg-4 form-inline" id="contact-form12"></div>
                            </div>
                            <div class="box-tools pull-right">
                                <a href="{{ URL::to('admin/products/add') }}" type="button" class="btn btn-block btn-primary">{{ trans('labels.AddNew') }}</a>
                            </div>
                           
                            </div>
                        </div>
                        <?php  $count = DB::table('productCount')->get();?>
                        <br>
                        {!! Form::open(array('url' =>'admin/products/insertCount', 'method'=>'post', 'class' => 'form-horizontal form-validate', 'enctype'=>'multipart/form-data')) !!}
                            <!--<input type="text" style ="width: 71px;" class="form-control input-group-form " name="count_number" value="<?php echo $count[0]->count_number ?>">-->
                            <!--<br>-->
                            <!--<button class="btn btn-primary " name="submit" type="submit">Submit</button>-->
                        {!! Form::close() !!}
                        <!-- /.box-header -->
                        <div class="box-body" >

                            <div class="row">
                                <div class="col-xs-12">
                                    @if (count($errors) > 0)
                                        @if($errors->any())
                                            <div class="alert alert-success alert-dismissible" role="alert">
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                {{$errors->first()}}
                                            </div>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-xs-12">
                                    <table class="table table-bordered table-striped">
                                        <thead>
                                        <tr>
                                            <th>@sortablelink('products_id', trans('labels.ID') )</th>
                                            <th>{{ trans('labels.Image') }}</th>
                                            <th>@sortablelink('categories_name', trans('labels.Category') )</th>
                                            <th>@sortablelink('products_name', trans('labels.Name') )</th>
                                            <th>{{ trans('labels.Additional info') }}</th>
                                            <th>@sortablelink('created_at', trans('labels.ModifiedDate') )</th>
                                            <th>{{ trans('labels.Status') }}</th>
                                            <th>Edit Price</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody id="product-list-container">
                                        @if(count($results['products'])>0)
                                            @include('admin.products.listingLoop')
                                        @else
                                            <tr>
                                                <td colspan="5">{{ trans('labels.NoRecordFound') }}</td>
                                            </tr>
                                        @endif
                                        </tbody>
                                    </table>

                                </div>


                            </div>
                                @if(!isset($search) && $search )
                                <div class="col-xs-12" style="background: #eee;">


                                  @php
                                    if(count($results['products']) > 0){
                                      $fromrecord = ($results['products']->currentpage()-1)*$results['products']->perpage()+1;
                                    }else{
                                      $fromrecord = 0;
                                    }
                                    if(count($results['products']) < $results['products']->currentpage()*$results['products']->perpage()){
                                      $torecord = $results['products']->total();
                                    }else{
                                      $torecord = $results['products']->currentpage()*$results['products']->perpage();
                                    }

                                  @endphp
                                  <div class="col-xs-12 col-md-6" style="padding:30px 15px; border-radius:5px;">
                                    <div>Showing {{$fromrecord}} to {{$torecord}}
                                        of  {{count($results['products'])}} entries
                                    </div>
                                  </div>
                                <div class="col-xs-12 col-md-6 text-right">
                                    {{$results['products']->links()}}
                                </div>
                              </div>
                              @endif
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>

            <!-- deleteProductModal -->
            <div class="modal fade" id="deleteproductmodal" tabindex="-1" role="dialog" aria-labelledby="deleteProductModalLabel">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title" id="deleteProductModalLabel">{{ trans('labels.DeleteProduct') }}</h4>
                        </div>
                        {!! Form::open(array('url' =>'admin/products/delete', 'name'=>'deleteProduct', 'id'=>'deleteProduct', 'method'=>'post', 'class' => 'form-horizontal', 'enctype'=>'multipart/form-data')) !!}
                        {!! Form::hidden('action',  'delete', array('class'=>'form-control')) !!}
                        {!! Form::hidden('products_id',  '', array('class'=>'form-control', 'id'=>'products_id')) !!}
                        <div class="modal-body">
                            <p>{{ trans('labels.DeleteThisProductDiloge') }}?</p>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">{{ trans('labels.Close') }}</button>
                            <button type="submit" class="btn btn-primary" id="deleteProduct">{{ trans('labels.DeleteProduct') }}</button>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
            
            <!-- /.row -->

            <!-- Main row -->

            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
    
    
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.2/js/toastr.min.js">
  </script>
    <script>
         $('.price_val').on('change', function(){
            var container = $(this).closest('div'); // Find the container div
            var price = container.find('[name="price"]').val();
            var productId = $(this).data('product-id');
            
            $.ajax({
                url:"{{route('price')}}",
                type: 'GET', // or 'GET', depending on your server setup
                data: {
                    price: price,
                    productId: productId,
                },
                success: function(response) {
                    toastr.success('Price Updated Successfully');
                    console.log(response);
                },
                error: function(xhr, status, error) {
                    console.error(xhr.responseText);
                }
            });
        });
        
        $('.mrp_val').on('change', function(){
            var container = $(this).closest('div'); // Find the container div
            var mrp = container.find('[name="mrp"]').val();
            var productId = $(this).data('product-id');
            // alert(mrp);
            // alert(productId);
            $.ajax({
              url:"{{route('mrp')}}",
                type: 'GET', // or 'GET', depending on your server setup
                data: {
                    mrp: mrp,
                    productId: productId,
                },
                success: function(response) {
                    toastr.success('Mrp Updated Successfully');
                    console.log(response);
                },
                error: function(xhr, status, error) {
                    console.error(xhr.responseText);
                }
            });
        });
        
        $(document).ready(function() {
            $('#categories_id li').on('click', function(e) {
                e.preventDefault();
                
                $('#categories_id li').removeClass('active').css('background-color', '');
                $(this).addClass('active').css('background-color', 'green');
        
                var categoryId = $(this).attr('data-id');
                var url = $(this).attr('data-url');
                
                if (url) {
                    var csrf_token = $('meta[name="csrf-token"]').attr('content');
                    var request_data = {
                        _token: csrf_token,
                        categories_id: categoryId
                    };
                    
                    $.ajax({
                        type: "POST",
                        url: url,
                        data: request_data,
                        success: function(response) { 
                            $('#product-list-container').html(response.html);
                        },
                        error: function(xhr, status, error) {
                            console.error('Error:', error);
                        }
                    });
                } else {
                    console.error('URL not defined for this category');
                }
            });
        });

    

    </script>
@endsection
