@extends('web.layout')
@section('content')

<div class="container-fuild">
  <nav aria-label="breadcrumb">
      <div class="container">
          <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ URL::to('/')}}">@lang('website.Home')</a></li>
            <li class="breadcrumb-item active" aria-current="page">@lang('website.Service')</li>
          </ol>
      </div>
    </nav>
</div>


 <section class="page-area pro-content">
	<div class="container">


			<div class="row">
				<div class="col-12 col-sm-12 col-md-6">
				   @if (count($errors) > 0)
                                      @if($errors->any())
                                      <div class="alert alert-success alert-dismissible" role="alert">
                                          <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                          {{$errors->first()}}
                                      </div>
                                      @endif
                                    @endif
					<div class="col-12"><h4 class="heading login-heading">@lang('website.Service_Booking_Form')</h4></div>
					<div class="registration-process">
                        @foreach ($result['news'] as $item)
						<form name="signup" enctype="multipart/form-data"  action="{{ URL::to('/save/'.$item->category_name.'/'.$item->title)}}" method="post">
								{{csrf_field()}}
								<div class="from-group mb-3">
									<div class="col-12"> <label for="inlineFormInputGroup"><strong style="color: red;">*</strong>@lang('website.Full_Name')</label></div>
									<div class="input-group col-12">
										<input  name="full_name" type="text" class="form-control field-validate" id="firstName" placeholder="@lang('website.Please enter your full name')" value="{{ old('firstName') }}">
										<span class="help-block" hidden>@lang('website.Please enter your full name')</span>
									</div>
								</div>
								<div class="from-group mb-3">
										<div class="col-12"> <label for="inlineFormInputGroup"><strong style="color: red;">*</strong>@lang('website.Email_Adrress')</label></div>
										<div class="input-group col-12">
											<input  name="email" type="email" class="form-control" id="inlineFormInputGroup" placeholder="Enter Your Email or Username" value="{{ old('email') }}">
											<span class="help-block" hidden>@lang('website.Please enter your valid email address')</span>
										</div>
									</div>
									<div class="from-group mb-3">
									<div class="col-12"> <label for="inlineFormInputGroup"><strong style="color: red;">*</strong>@lang('website.Address')</label></div>
									<div class="input-group col-12">										
										<input  name="address" type="text" class="form-control field-validate field-validate" id="lastName" placeholder="@lang('website.Please enter your address')" value="{{ old('lastName') }}">
										<span class="help-block" hidden>@lang('website.Please enter your address')</span>
									</div>
								</div>
								
								<div class="from-group mb-3">
									<div class="col-12"> <label for="inlineFormInputGroup"><strong style="color: red;">*</strong>@lang('website.Phone_no')</label></div>
									<div class="input-group col-12">										
										<!--<input  name="phone" type="text" class="form-control field-validate field-validate" id="mobile-num" placeholder="@lang('website.Please enter your phone number')" value="{{ old('lastName') }}">
										<span class="help-block" hidden>@lang('website.Please enter your phone number')</span>-->
									    <input  name="phone" class="form-control field-validate field-validate" type='text' id='txtPhone' placeholder="@lang('website.Please enter your phone number')" maxlength="10"/>
                                        <span id="spnPhoneStatus"></span>
									</div>
								</div>
								
									<div class="col-12 col-sm-12">
									    <button type="submit" class="btn btn-secondary btn-lg swipe-to-top ">Book Now</button>
									</div>
							</form>
							@endforeach	
					</div>
				</div>

			</div>

	</div>
</section>
<script type='text/javascript'>//<![CDATA[
$(window).load(function(){
$(document).ready(function() {
    $('#txtPhone').blur(function(e) {
        if (validatePhone('txtPhone')) {
            $('#spnPhoneStatus').html('Valid Mobil Number');
            $('#spnPhoneStatus').css('color', 'green');
        }
        else {
            $('#spnPhoneStatus').html('Invalid Mobile Number');
            $('#spnPhoneStatus').css('color', 'red');
        }
    });
});

function validatePhone(txtPhone) {
    var a = document.getElementById(txtPhone).value;
    var filter = /[1-9]{1}[0-9]{9}/;
    if (filter.test(a)) {
        return true;
    }
    else {
        return false;
    }
}
});//]]> 

</script>
@endsection