<?php $__env->startSection('content'); ?>
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1> <?php echo e(trans('labels.Bookings')); ?> <small><?php echo e(trans('labels.AddBookings')); ?>...</small> </h1>
        <ol class="breadcrumb">
            <li><a href="<?php echo e(URL::to('admin/dashboard/this_month')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('labels.breadcrumb_dashboard')); ?></a></li>
            <li><a href="<?php echo e(URL::to('admin/categories/display')); ?>"><i class="fa fa-database"></i><?php echo e(trans('labels.Bookings')); ?></a></li>
            <li class="active"><?php echo e(trans('labels.AddBookings')); ?></li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <!-- Info boxes -->

        <!-- /.row -->
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo e(trans('labels.AddBookings')); ?> </h3>
                    </div>

                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="box box-info">
                                    <!-- form start -->
                                    <br>
                                    <?php if(count($errors) > 0): ?>
                                    <?php if($errors->any()): ?>
                                    <div class="alert alert-success alert-dismissible" role="alert">
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <?php echo e($errors->first()); ?>

                                    </div>
                                    <?php endif; ?>
                                    <?php endif; ?>
                                    <div class="box-body">

                                        <?php echo Form::open(array('url' =>'admin/booking/add', 'method'=>'post', 'class' => 'form-horizontal form-validate', 'enctype'=>'multipart/form-data')); ?>

                                       
                                        <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label"><?php echo e(trans('labels.Name')); ?> </label>
                                          <div class="col-sm-10 col-md-4">
                                            <?php echo Form::text('name',  '', array('class'=>'form-control field-validate', 'id'=>'email')); ?>

                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             <?php echo e(trans('labels.NameText')); ?></span>
                                            <span class="help-block hidden"> <?php echo e(trans('labels.textRequiredFieldMessage')); ?></span>
                                          </div>
                                        </div>
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label"><?php echo e(trans('labels.mobile')); ?></label>
                                          <div class="col-sm-10 col-md-4">
                                            <?php echo Form::text('mobile',  '', array('class'=>'form-control field-validate', 'id'=>'mobile')); ?>

                                           <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                           <?php echo e(trans('labels.MobileText')); ?></span>
                                            <span class="help-block hidden"><?php echo e(trans('labels.textRequiredFieldMessage')); ?></span>
                                          </div>
                                        </div>
                                       
                                       <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label"><?php echo e(trans('labels.email')); ?> </label>
                                          <div class="col-sm-10 col-md-4">
                                            <?php echo Form::text('email',  '', array('class'=>'form-control email-validate', 'id'=>'email')); ?>

                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             <?php echo e(trans('labels.EmailText')); ?></span>
                                            <span class="help-block hidden"> <?php echo e(trans('labels.textRequiredFieldMessage')); ?></span>
                                          </div>
                                        </div>
                                        
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label"><?php echo e(trans('labels.address')); ?> </label>
                                          <div class="col-sm-10 col-md-4">
                                            <?php echo Form::text('address',  '', array('class'=>'form-control field-validate', 'id'=>'address')); ?>

                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             <?php echo e(trans('labels.AddressText')); ?></span>
                                            <span class="help-block hidden"> <?php echo e(trans('labels.textRequiredFieldMessage')); ?></span>
                                          </div>
                                        </div>
                                        
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label"><?php echo e(trans('labels.Appointment Date')); ?> </label>
                                          <div class="col-sm-10 col-md-4">
                                            <?php echo Form::text('appointment_date',  '', array('class'=>'form-control field-validate', 'id'=>'appointment_date')); ?>

                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             <?php echo e(trans('labels.AppointmentDateText')); ?></span>
                                            <span class="help-block hidden"> <?php echo e(trans('labels.textRequiredFieldMessage')); ?></span>
                                          </div>
                                        </div>
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label"><?php echo e(trans('labels.Appointment Time')); ?> </label>
                                          <div class="col-sm-10 col-md-4">
                                            <?php echo Form::text('appointment_time',  '', array('class'=>'form-control field-validate', 'id'=>'appointment_time')); ?>

                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             <?php echo e(trans('labels.AppointmentTimeText')); ?></span>
                                            <span class="help-block hidden"> <?php echo e(trans('labels.textRequiredFieldMessage')); ?></span>
                                          </div>
                                        </div>
                                         <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label"><?php echo e(trans('labels.Aprx Cost')); ?> </label>
                                          <div class="col-sm-10 col-md-4">
                                            <?php echo Form::text('aprx_cost',  '', array('class'=>'form-control field-validate', 'id'=>'aprx_cost')); ?>

                                             <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                             <?php echo e(trans('labels.AprxCostText')); ?></span>
                                            <span class="help-block hidden"> <?php echo e(trans('labels.textRequiredFieldMessage')); ?></span>
                                          </div>
                                        </div>
                                        
                                         

                                        <div class="form-group">
                                          <label for="name" class="col-sm-2 col-md-3 control-label"><?php echo e(trans('labels.Status')); ?> </label>
                                          <div class="col-sm-10 col-md-4">
                                            <select class="form-control" name="booking_status">
                                                  <option value="Pending"><?php echo e(trans('labels.Pending')); ?></option>
                                                  <option value="Assigned"><?php echo e(trans('labels.Assigned')); ?></option>
                                                  <option value="Completed"><?php echo e(trans('labels.Completed')); ?></option>
                                                  <option value="Started"><?php echo e(trans('labels.Started')); ?></option>
                                                  <option value="Cancelled"><?php echo e(trans('labels.Cancelled')); ?></option>
                                            </select>
                                          <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">
                                          <?php echo e(trans('labels.bookingStatusText')); ?></span>
                                          </div>
                                        </div>

                                        <!-- /.box-body -->
                                        <div class="box-footer text-center">
                                            <button type="submit" class="btn btn-primary"><?php echo e(trans('labels.Submit')); ?></button>
                                            <a href="<?php echo e(URL::to('admin/booking/display')); ?>" type="button" class="btn btn-default"><?php echo e(trans('labels.back')); ?></a>
                                        </div>
                                        <!-- /.box-footer -->
                                        <?php echo Form::close(); ?>

                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!-- /.box-body -->
                </div>
                <!-- /.box -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->

        <!-- Main row -->

        <!-- /.row -->
    </section>
    <!-- /.content -->

</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jdepsca6i4m1/public_html/resources/views/admin/booking/add.blade.php ENDPATH**/ ?>