<?php $__env->startSection('content'); ?>
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1> <?php echo e(trans('labels.ViewOrder')); ?> <small> <?php echo e(trans('labels.ViewOrder')); ?>...</small> </h1>
    <ol class="breadcrumb">
      <li><a href="<?php echo e(URL::to('admin/dashboard/this_month')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('labels.breadcrumb_dashboard')); ?></a></li>
      <li><a href="<?php echo e(URL::to('admin/orders/display')); ?>"><i class="fa fa-dashboard"></i>  <?php echo e(trans('labels.ListingAllOrders')); ?></a></li>
      <li class="active"> <?php echo e(trans('labels.ViewOrder')); ?></li>
    </ol>
  </section>

  <!-- Main content -->
  <section class="invoice" style="margin: 15px;">
      <!-- title row -->
      <?php if(session()->has('message')): ?>
       <div class="col-xs-12">
       <div class="row">
      	<div class="alert alert-success alert-dismissible">
           <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
           <h4><i class="icon fa fa-check"></i> <?php echo e(trans('labels.Successlabel')); ?></h4>
            <?php echo e(session()->get('message')); ?>

        </div>
        </div>
        </div>
        <?php endif; ?>
        <?php if(session()->has('error')): ?>
        <div class="col-xs-12">
      	<div class="row">
        	<div class="alert alert-warning alert-dismissible">
               <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
               <h4><i class="icon fa fa-warning"></i> <?php echo e(trans('labels.WarningLabel')); ?></h4>
                <?php echo e(session()->get('error')); ?>

            </div>
          </div>
         </div>
        <?php endif; ?>
      <div class="row">
        <div class="col-xs-12">
          <h2 class="page-header" style="padding-bottom: 25px; margin-top:0;">
            <i class="fa fa-globe"></i> <?php echo e(trans('labels.OrderID')); ?># <?php echo e($data['orders_data']->orders_id); ?>

            <small style="display: inline-block"><?php echo e(trans('labels.OrderedDate')); ?>: <?php echo e(date('m/d/Y', strtotime($data['orders_data']->date_purchased))); ?></small>
            <a href="<?php echo e(URL::to('admin/orders/invoiceprint/'.$data['orders_data']->orders_id)); ?>" target="_blank"  class="btn btn-default pull-right"><i class="fa fa-print"></i> <?php echo e(trans('labels.Print')); ?></a>
          </h2>
        </div>
        <!-- /.col -->
      </div>
      <!-- info row -->
      <div class="row invoice-info">
        <div class="col-sm-4 invoice-col">
          <?php echo e(trans('labels.CustomerInfo')); ?>:
          <address>
            <strong><?php echo e($data['orders_data']->customers_name); ?></strong><br>
            <?php echo e($data['orders_data']->customers_street_address); ?> <br>
            <?php echo e($data['orders_data']->customers_city); ?>, <?php echo e($data['orders_data']->customers_state); ?>, <?php echo e($data['orders_data']->customers_postcode); ?>, <?php echo e($data['orders_data']->customers_country); ?><br>
            <?php echo e(trans('labels.Phone')); ?>: <?php echo e($data['orders_data']->customers_telephone); ?><br>
            <?php echo e(trans('labels.Email')); ?>: <?php echo e($data['orders_data']->email); ?>

          </address>
        </div>
        <!-- /.col -->
        <div class="col-sm-4 invoice-col">
          <?php echo e(trans('labels.ShippingInfo')); ?>

          <address>
            <strong><?php echo e($data['orders_data']->delivery_name); ?></strong><br>
            <?php echo e($data['orders_data']->delivery_street_address); ?> <br>
            <?php echo e($data['orders_data']->delivery_city); ?>, <?php echo e($data['orders_data']->delivery_state); ?>, <?php echo e($data['orders_data']->delivery_postcode); ?>, <?php echo e($data['orders_data']->delivery_country); ?><br>

           <strong><?php echo e(trans('labels.Phone')); ?>: </strong><?php echo e($data['orders_data']->delivery_phone); ?><br>
           <strong> <?php echo e(trans('labels.ShippingMethod')); ?>:</strong> <?php echo e($data['orders_data']->shipping_method); ?> <br>
           <strong> <?php echo e(trans('labels.ShippingCost')); ?>:</strong> 
           
          </address>
        </div>
        
        
        <!-- /.col -->
        <div class="col-sm-4 invoice-col">
         <?php echo e(trans('labels.BillingInfo')); ?>

          <address>
            <strong><?php echo e($data['orders_data']->billing_name); ?></strong><br>
            <?php echo e($data['orders_data']->billing_street_address); ?> <br>
            <strong><?php echo e(trans('labels.Phone')); ?>: </strong><?php echo e($data['orders_data']->billing_phone); ?><br>
            <?php echo e($data['orders_data']->billing_city); ?>, <?php echo e($data['orders_data']->billing_state); ?>, <?php echo e($data['orders_data']->billing_postcode); ?>, <?php echo e($data['orders_data']->billing_country); ?><br>
          </address>
        </div>
        <!-- /.col -->
      </div>
      
      <div class="row">
        <!-- accepted payments column -->
        <div class="col-xs-7">
          <p class="lead" style="margin-bottom:10px"><?php echo e(trans('labels.PaymentMethods')); ?>:</p>
          <p class="text-muted well well-sm no-shadow" style="text-transform:capitalize">
           	<?php echo e(str_replace('_',' ', $data['orders_data']->payment_method)); ?>

          </p>
          <?php if(!empty($data['orders_data']->coupon_code)): ?>
              <p class="lead" style="margin-bottom:10px"><?php echo e(trans('labels.Coupons')); ?>:</p>
                <table class="text-muted well well-sm no-shadow stripe-border table table-striped" style="text-align: center; ">
                	<tr>
                        <th style="text-align: center; "><?php echo e(trans('labels.Code')); ?></th>
                        <th style="text-align: center; "><?php echo e(trans('labels.Amount')); ?></th>
                    </tr>
                	<?php $__currentLoopData = json_decode($data['orders_data']->coupon_code); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $couponData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    	<tr>
                        	<td><?php echo e($couponData->code); ?></td>
                            <td><?php echo e($couponData->amount); ?>


                                <?php if($couponData->discount_type=='percent_product'): ?>
                                    (<?php echo e(trans('labels.Percent')); ?>)
                                <?php elseif($couponData->discount_type=='percent'): ?>
                                    (<?php echo e(trans('labels.Percent')); ?>)
                                <?php elseif($couponData->discount_type=='fixed_cart'): ?>
                                    (<?php echo e(trans('labels.Fixed')); ?>)
                                <?php elseif($couponData->discount_type=='fixed_product'): ?>
                                    (<?php echo e(trans('labels.Fixed')); ?>)
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</table>
               <!-- <?php echo e($data['orders_data'][0]->coupon_code); ?>-->

          <?php endif; ?>

          <?php if(isset($data['orders_data']->order_information) && !empty($data['orders_data']->order_information) && trim($data['orders_data']->order_information) != '[]'): ?>
            <p class="lead" style="margin-bottom:10px"><?php echo e(trans('labels.Orderinformation')); ?>:</p>
            <p class="text-muted well well-sm no-shadow" style="text-transform:capitalize; word-break:break-all;">
                <?php echo e($data['orders_data']->order_information); ?>

            </p>
          <?php endif; ?>

        </div>  

         <?php echo Form::open(array('url' =>'admin/orders/updateOrder', 'method'=>'post', 'onSubmit'=>'return cancelOrder();', 'class' => 'form-horizontal', 'enctype'=>'multipart/form-data')); ?>

         <?php echo Form::hidden('orders_id', $data['orders_data']->orders_id, array('class'=>'form-control', 'id'=>'orders_id')); ?>

         <?php echo Form::hidden('customers_id', $data['orders_data']->customers_id, array('class'=>'form-control', 'id'=>'device_id')); ?>

        <div class="col-xs-12">
            <hr>
            <p class="lead"><?php echo e(trans('labels.ChangeStatus')); ?>:</p>
            <div class="col-md-12">
               <div class="form-group">
                <label><?php echo e(trans('labels.Comments')); ?>:</label>
                <?php echo Form::textarea('comments',  '', array('class'=>'form-control', 'id'=>'comments', 'rows'=>'4')); ?>

                <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;"><?php echo e(trans('labels.CommentsOrderText')); ?></span>
              </div>
            </div>
        </div>
        
        <div class="col-xs-12">
          <a href="<?php echo e(URL::to('admin/orders/display')); ?>" class="btn btn-default"><i class="fa fa-angle-left"></i> <?php echo e(trans('labels.back')); ?></a>
          <button type="submit" class="btn btn-success pull-right"><i class="fa fa-credit-card"></i> <?php echo e(trans('labels.Submit')); ?> </button>
          <!--<button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
            <i class="fa fa-download"></i> Generate PDF
          </button>-->
          <br><br> <hr><br>
        </div>
       <?php echo Form::close(); ?>

        
      </div>
     


    </section>
    <script>
        $(".pop").popover({ trigger: "manual" , html: true, animation:false})
            .on("mouseenter", function () {
                var _this = this;
                $(this).popover("show");
                $(".popover").on("mouseleave", function () {
                   $(_this).popover('hide');
                });
           }).on("mouseleave", function () {
                var _this = this;
               setTimeout(function () {
                    if (!$(".popover:hover").length) {
                        $(_this).popover("hide");
                   }
                }, 300);
        });
    </script>
  <!-- /.content -->
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/temeshink/public_html/apcp/test/resources/views/admin/Orders/vieworder.blade.php ENDPATH**/ ?>